#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0xa60e238e, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0x106a1b16, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0xffacd5c5, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0x58a62f23, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x95197bbf, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x73396d4a, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x48be5c0a, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0xdb3231b6, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x165cb307, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x70170ceb, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0xb3262110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x217239d5, "wake_up_process" },
	{ 0x1cb27fd0, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf04731, "__alloc_skb" },
	{ 0x4eadc693, "const_pcpu_hot" },
	{ 0xe3d08389, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x66d4e6a6, "simple_open" },
	{ 0x5942cb5b, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3409b9ab, "skb_push" },
	{ 0xacc06290, "debugfs_remove" },
	{ 0x09459226, "kthread_stop" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5d3cdfc7, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2505bf18, "kstrtol_from_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe1752aa2, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x2195bc00, "kthread_create_on_node" },
	{ 0x88c6b8f3, "hci_unregister_dev" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x4c648f03, "hci_register_dev" },
	{ 0x16bdc52d, "__hci_cmd_sync" },
	{ 0xcabb4413, "debugfs_create_u8" },
	{ 0x1dbe32b4, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xd7ba5a33, "skb_queue_head" },
	{ 0x325f1806, "skb_put" },
	{ 0x5a76d9e7, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf8ce2187, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa58ec18d, "hci_alloc_dev_priv" },
	{ 0x037a0cba, "kfree" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "32C5EEFE623010AAE7CC585");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
