#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_handle_smbus_alert, "_gpl", "");
KSYMTAB_FUNC(i2c_new_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_free_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_register_spd, "_gpl", "");

SYMBOL_CRC(i2c_handle_smbus_alert, 0x91d769b6, "_gpl");
SYMBOL_CRC(i2c_new_slave_host_notify_device, 0xd6939033, "_gpl");
SYMBOL_CRC(i2c_free_slave_host_notify_device, 0xffae5289, "_gpl");
SYMBOL_CRC(i2c_register_spd, 0x1bb38ad8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c83ccf5, "i2c_register_driver" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xf6e29d4a, "i2c_smbus_read_byte" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x4b411df2, "device_for_each_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd934255a, "i2c_verify_client" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0xcd55bcfe, "devm_request_threaded_irq" },
	{ 0xbe051333, "__dev_fwnode" },
	{ 0x13e5f4d1, "fwnode_irq_get_byname" },
	{ 0xe8cfe905, "devm_gpiod_get" },
	{ 0x388b25f0, "gpiod_to_irq" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x5106df53, "i2c_del_driver" },
	{ 0x4fed5712, "i2c_handle_smbus_host_notify" },
	{ 0xb4e797b9, "i2c_slave_unregister" },
	{ 0x037a0cba, "kfree" },
	{ 0x35e34328, "i2c_unregister_device" },
	{ 0x1d94a218, "dmi_memdev_handle" },
	{ 0x95ef1ccc, "dmi_memdev_size" },
	{ 0xd8d68ab1, "dmi_memdev_type" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x62a9f1ab, "i2c_new_scanned_device" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x6d0585db, "i2c_new_client_device" },
	{ 0xafa4f283, "i2c_slave_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:smbus_alert");

MODULE_INFO(srcversion, "31BC71BB2027844E2B26630");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
