#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0x6c34ec0c, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x72826161, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4995bcae, "pinctrl_pm_select_sleep_state" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0x9fca9564, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x920da1d6, "__pm_runtime_resume" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x2c6b9370, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x065b45cb, "complete" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe7713f55, "i3c_generic_ibi_get_free_slot" },
	{ 0xa4382e0c, "i3c_master_queue_ibi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x831c5882, "i3c_master_enec_locked" },
	{ 0xe272872d, "i3c_master_get_free_addr" },
	{ 0xc1c7cec0, "i3c_master_add_i3c_dev_locked" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xecebeb2f, "i3c_master_set_info" },
	{ 0x790c8275, "pm_runtime_force_suspend" },
	{ 0x6b1dd46f, "pm_runtime_force_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1aa9fc8e, "__pm_runtime_suspend" },
	{ 0x2f0a5549, "i3c_generic_ibi_recycle_slot" },
	{ 0xaa05b728, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x049de814, "i3c_generic_ibi_alloc_pool" },
	{ 0x037a0cba, "kfree" },
	{ 0x3e032756, "i3c_master_do_daa" },
	{ 0xf38b3498, "devm_platform_ioremap_resource" },
	{ 0x01056507, "devm_clk_get_enabled" },
	{ 0xaa1c5dd1, "devm_clk_get_optional_enabled" },
	{ 0xf301e4b3, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbabc2323, "platform_get_irq" },
	{ 0xcd55bcfe, "devm_request_threaded_irq" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x05e5021e, "pm_runtime_set_autosuspend_delay" },
	{ 0x02e19f64, "__pm_runtime_use_autosuspend" },
	{ 0x94e33d77, "__pm_runtime_set_status" },
	{ 0xa4da46a5, "pm_runtime_enable" },
	{ 0xa94ff798, "device_get_match_data" },
	{ 0x65884059, "i3c_master_register" },
	{ 0x0462dbec, "__pm_runtime_disable" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x12ee8d6c, "i3c_master_unregister" },
	{ 0xa1a67b31, "__platform_driver_register" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("acpi*:AMDI0015:*");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A858B644DF91D7FD3559063");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
