#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xb00ce60c, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xbb31832e, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x9ab288c2, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x60b0126c, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xbc5506b2, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xf54e80a6, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x8c0d0fae, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x2645d93e, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xb990b61a, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x480158e5, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xb5d638a9, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x6bf489d7, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xc5da6249, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x6fc4877c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe33bfb74, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfcc3b9c9, "vb2_ioctl_dqbuf" },
	{ 0x824c5a45, "bus_unregister" },
	{ 0x9f8f8ec7, "devm_kfree" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0xdf3e9059, "vb2_ioctl_create_bufs" },
	{ 0x5c0b3526, "device_add" },
	{ 0x616301ad, "input_mt_init_slots" },
	{ 0x8815eb18, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3d920b88, "input_set_capability" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x7c3e04d7, "vb2_buffer_done" },
	{ 0x5150a927, "driver_unregister" },
	{ 0xa60a6612, "vb2_plane_vaddr" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1082593c, "video_unregister_device" },
	{ 0x464c1aea, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x89223ff7, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x51c9ee12, "vb2_fop_mmap" },
	{ 0x13554606, "device_del" },
	{ 0x8bddbbe3, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x59d6a4ec, "vb2_vmalloc_memops" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5c7bcf6d, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xdef24061, "input_event" },
	{ 0x21d3b197, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd4b5fa9a, "v4l2_device_register" },
	{ 0x66ad5ae1, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e38d86a, "devm_kasprintf" },
	{ 0xbc211eb1, "sysfs_remove_group" },
	{ 0x77d49383, "serio_interrupt" },
	{ 0xfb4139e4, "irq_domain_instantiate" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x25b543cc, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d216344, "vb2_ops_wait_prepare" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x900539c4, "irq_create_mapping_affinity" },
	{ 0x0aaa4c28, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3fc886a5, "input_alloc_absinfo" },
	{ 0x338aeef7, "vb2_fop_poll" },
	{ 0x03ce2e57, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0xae387d89, "_dev_printk" },
	{ 0x904e3d96, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x82895c1c, "driver_register" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xa861ad37, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf6bdc078, "vb2_ioctl_reqbufs" },
	{ 0xdb83fce7, "vb2_queue_init" },
	{ 0x3e3fd722, "input_mt_assign_slots" },
	{ 0x1158fd62, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcd55bcfe, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0xf6ff807f, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb1342c06, "dev_set_name" },
	{ 0x97f3a21e, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x17f270de, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x4f200795, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xdc2cf762, "vb2_ops_wait_finish" },
	{ 0xfef8f2ef, "request_firmware" },
	{ 0x10c6624c, "input_mt_report_slot_state" },
	{ 0xa6454fec, "device_initialize" },
	{ 0x8a37cf2b, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x053dbc40, "vb2_ioctl_querybuf" },
	{ 0x140de21e, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa929960b, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbff0f749, "dev_driver_string" },
	{ 0xe9dd9870, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x82455d23, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1d1a1079, "video_devdata" },
	{ 0xef434159, "irq_set_chip_and_handler_name" },
	{ 0xa1d7c414, "put_device" },
	{ 0x713f77c1, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf146bdc8, "handle_simple_irq" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C5593F659D7F05EDCA98660");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
