#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x4d1c9d00, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x2b78ae1b, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x496ba969, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xc35f49ad, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xca34e03e, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x601e2fc7, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x22855ce0, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x4002a3d0, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xc814622e, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x09da0e67, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xa71af31f, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x19499a6a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xe7af1841, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x59c96654, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xf37554c3, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x56b5787d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xab098fb5, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xfd6a58e1, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x247c80a1, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x1b4f25e0, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x1c7b138c, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xa15e1ff0, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x8e5da786, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x75214189, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x89cee56f, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x6f1e991f, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x7c0342b8, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x943e990d, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xbaec5e01, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x01c2c27e, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x782187f4, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x2c114cc3, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xe391fcd4, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x12b1c45c, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x4247aea3, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x7292bdee, "");
SYMBOL_CRC(mlx4_test_async, 0xe3b4e268, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x7e9faba0, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xdd254114, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x27fa670f, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x37f93326, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x988c7913, "");
SYMBOL_CRC(mlx4_assign_eq, 0x331d4acf, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x7ee53aa5, "");
SYMBOL_CRC(mlx4_release_eq, 0xcf4cf392, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x5e673ca3, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xbb837254, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x193c4917, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x1ffa4ae6, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x794ee92e, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xe661adb4, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x4bc6df6b, "");
SYMBOL_CRC(mlx4_wol_read, 0x4166ea02, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xbe897ee9, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xc28eb5ae, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x239ee045, "");
SYMBOL_CRC(set_phv_bit, 0x4ce9c5a5, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xdc7a74bb, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x83e84d75, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x127edb16, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xb01cc22e, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xc2d13a28, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x97014f37, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xbe0a6dec, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xc73d1649, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xbae62122, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x77d0dded, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xbbe0da42, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x67bce915, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xddfa76d3, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xc2831d6d, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xceb19a05, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xe3587bd4, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x1987f5bf, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xc3074d03, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xb4119799, "");
SYMBOL_CRC(mlx4_read_clock, 0xdd07f8ea, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xa464ff41, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x4e486503, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x355075b1, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x2d7d8658, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xc3793322, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xc8d6ad6e, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xba3d641a, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xb0de306d, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x608e818b, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x584e1fc0, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x7a9f05bb, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x581636b3, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x364c0db2, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xe339f3c5, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xef2f4fd2, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x7a08e9e5, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xab83f1af, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x42d2d11c, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xc27cb9a3, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xcb1cbe71, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x365e5d9f, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x165ed2a4, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xec86ae8e, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xc917b008, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x3e806724, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x15c1f675, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x154fda53, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x7b4dfb23, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x0702da94, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x15524037, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xddd79835, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xb6d3ceaa, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xda91eabd, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x796e0ad3, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xfef714ab, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x8a71bd01, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x907748a3, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xfd59d733, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xd6016d99, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xd16cc110, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xf18ee728, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xc5ad623c, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xe3b9694d, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xeb1ada78, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xbb14e1b9, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x8f08d968, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xdf431b23, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x5d626d88, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x94e05c46, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xd13b1c34, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xdc03ddb0, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x83a68f4f, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x10def9b2, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xe66b6a7a, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x1299010b, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x30a6e7c7, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x4645b67d, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xf53744a4, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xa63b8b43, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x2aa75aca, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xe1776bb4, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xb57b8da3, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x0f0f7ea2, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x61595232, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x5cab21b8, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x022e8b27, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x086cb907, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x38037174, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x8fed445e, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xe5000413, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x8a8436ba, "");
SYMBOL_CRC(mlx4_get_module_info, 0xf716b988, "");
SYMBOL_CRC(mlx4_max_tc, 0x00c1551d, "");
SYMBOL_CRC(mlx4_put_qp, 0x8195017d, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xf43c0d0f, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x467c52a7, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x96399a4a, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xe4a9b0de, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x6f0740d2, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x0108761d, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x739d4d41, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x09d05417, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x981183d6, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xc593cea0, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x73c73eeb, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x9700655d, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x708e9381, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x1696e7b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5c710aaf, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd735e5d1, "param_ops_byte" },
	{ 0xb87ebe22, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x509c63d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x4424d773, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xef1b6af4, "auxiliary_driver_unregister" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xb53482a8, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe3444672, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8412b652, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa1d7c414, "put_device" },
	{ 0x606da422, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x5f80f15d, "__free_pages" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x1b581024, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xe747bc58, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0xd200a96f, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x41138a0b, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x32a460e8, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe0a605e1, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x583e5ef6, "dma_alloc_attrs" },
	{ 0xcf2b6987, "pci_read_config_word" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x6573f300, "ida_free" },
	{ 0xa8f320d2, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2bcc71e3, "pci_restore_state" },
	{ 0x13554606, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x60eb1cc9, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0xf8fc2d45, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x0933c162, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82059aac, "atomic_notifier_call_chain" },
	{ 0x6958997f, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0eddd417, "down_read" },
	{ 0x06f4d6f0, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f491a62, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x52a50633, "dma_free_attrs" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63f61a4a, "param_ops_bool" },
	{ 0xbb6dad22, "pci_release_regions" },
	{ 0xae3413da, "__dma_sync_single_for_device" },
	{ 0xae10bc21, "devl_assert_locked" },
	{ 0x7657fa32, "pcie_print_link_status" },
	{ 0x92c49591, "devl_port_unregister" },
	{ 0xe6e5f0fa, "devl_param_driverinit_value_get" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x00508991, "devlink_priv" },
	{ 0x422c0dde, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x802af35e, "pci_disable_msix" },
	{ 0x63ca0372, "alloc_pages_noprof" },
	{ 0x37e1f3dd, "pci_disable_device" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xe28f7015, "dma_set_mask" },
	{ 0xe1a6b4f8, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0d127d1d, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0xae387d89, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0xecc4e007, "pci_enable_sriov" },
	{ 0xbb53856b, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x30f5442b, "pci_write_config_dword" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x548233d7, "device_remove_file" },
	{ 0xfb5be82e, "dma_map_sg_attrs" },
	{ 0xc7437f0e, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc823df48, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3934d907, "pcie_capability_write_word" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26781a7d, "devl_region_create" },
	{ 0xb6fbf0d1, "devlink_unregister" },
	{ 0x5d2c9e52, "dma_pool_create" },
	{ 0x04acb51b, "radix_tree_insert" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x613fb389, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x60fae183, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d647b21, "devlink_region_snapshot_id_get" },
	{ 0x1776ec05, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x9238769e, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x38b4dcb3, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37554928, "param_array_ops" },
	{ 0x0d46bf6b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x9bcba228, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0x20a35d0d, "pci_sriov_get_totalvfs" },
	{ 0x55eafb95, "devlink_register" },
	{ 0x12396d53, "devlink_port_type_clear" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
