#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x41a603b8, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x38ecc236, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xa099172b, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x9093460e, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x782aadaa, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x2be37039, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xc4151dc0, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xc536389f, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x917d913f, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xd8a5d33e, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x451e3252, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x989a926e, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xc75d8e50, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x74ed0b0f, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x19643de8, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x13fc391a, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x3722b849, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x28efccd6, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x2ce65896, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xa853945f, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x1786f979, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1be21c1, "mdiobus_write" },
	{ 0xaeba1556, "mdiobus_read" },
	{ 0x2a1aebc1, "phy_write_mmd" },
	{ 0x61ece977, "phy_modify" },
	{ 0xb09ffbf6, "phy_trigger_machine" },
	{ 0xf041910e, "phy_error" },
	{ 0xb98bb904, "phy_modify_changed" },
	{ 0xadb60628, "genphy_update_link" },
	{ 0xcbb4dae4, "genphy_read_lpa" },
	{ 0x20a524e0, "phy_resolve_aneg_pause" },
	{ 0xf1cc62b7, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0xca63d5ca, "phy_read_mmd" },
	{ 0x8f5475e5, "ethnl_cable_test_result_with_src" },
	{ 0x1872e619, "ethnl_cable_test_fault_length_with_src" },
	{ 0x309e8f4a, "phy_modify_mmd" },
	{ 0x872bae79, "genphy_soft_reset" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
