#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw88xxa_efuse_grant, "", "");
KSYMTAB_FUNC(rtw88xxa_read_efuse, "", "");
KSYMTAB_FUNC(rtw88xxa_power_off, "", "");
KSYMTAB_FUNC(rtw88xxa_power_on, "", "");
KSYMTAB_FUNC(rtw88xxa_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw88xxa_set_channel, "", "");
KSYMTAB_FUNC(rtw88xxa_query_phy_status, "", "");
KSYMTAB_FUNC(rtw88xxa_set_tx_power_index, "", "");
KSYMTAB_FUNC(rtw88xxa_false_alarm_statistics, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_backup_mac_bb, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_backup_afe, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_restore_mac_bb, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_configure_mac, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_finish, "", "");
KSYMTAB_FUNC(rtw88xxa_phy_pwrtrack, "", "");
KSYMTAB_FUNC(rtw88xxa_phy_cck_pd_set, "", "");

SYMBOL_CRC(rtw88xxa_efuse_grant, 0x6c248272, "");
SYMBOL_CRC(rtw88xxa_read_efuse, 0x9b1921de, "");
SYMBOL_CRC(rtw88xxa_power_off, 0x37cf2db0, "");
SYMBOL_CRC(rtw88xxa_power_on, 0xf236e323, "");
SYMBOL_CRC(rtw88xxa_phy_read_rf, 0x46051e31, "");
SYMBOL_CRC(rtw88xxa_set_channel, 0x33c4a78f, "");
SYMBOL_CRC(rtw88xxa_query_phy_status, 0xaccd69ee, "");
SYMBOL_CRC(rtw88xxa_set_tx_power_index, 0x6050a8b0, "");
SYMBOL_CRC(rtw88xxa_false_alarm_statistics, 0x32d8ee51, "");
SYMBOL_CRC(rtw88xxa_iqk_backup_mac_bb, 0xb51bd9a9, "");
SYMBOL_CRC(rtw88xxa_iqk_backup_afe, 0x865abac8, "");
SYMBOL_CRC(rtw88xxa_iqk_restore_mac_bb, 0xda51d524, "");
SYMBOL_CRC(rtw88xxa_iqk_configure_mac, 0x44861a40, "");
SYMBOL_CRC(rtw88xxa_iqk_finish, 0xbd62b503, "");
SYMBOL_CRC(rtw88xxa_phy_pwrtrack, 0x83616480, "");
SYMBOL_CRC(rtw88xxa_phy_cck_pd_set, 0xe3cf33aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bcf8479, "rtw_pwr_seq_parser" },
	{ 0x6f5e1572, "rtw_phy_pwrtrack_get_delta" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6773350c, "rtw_coex_init_hw_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x406d4e7c, "rtw_phy_pwrtrack_thermal_changed" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb02a6810, "rtw_coex_power_off_setting" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6df3dbec, "rtw_read8_physical_efuse" },
	{ 0x58210e60, "rtw_rate_section" },
	{ 0xc7f623e0, "rtw_phy_pwrtrack_need_iqk" },
	{ 0x8fce0275, "rtw_phy_pwrtrack_avg" },
	{ 0x440b7589, "rtw_phy_rf_power_2_rssi" },
	{ 0xb0dfcf4b, "rtw_coex_power_on_setting" },
	{ 0x519c8ba9, "rtw_rate_size" },
	{ 0xb40ca80b, "rtw_set_trx_fifo_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95861914, "rtw_wait_firmware_completion" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0009c0dd, "rtw_dbg" },
	{ 0x33b3f3c0, "rtw_debug_mask" },
	{ 0x885cd3ab, "rtw_download_firmware" },
	{ 0xfec1b314, "rtw_phy_config_swing_table" },
	{ 0x9a9f26b8, "rtw_phy_init" },
	{ 0x079387e3, "rtw_phy_set_tx_power_level" },
	{ 0x7e2f13b4, "rtw_phy_pwrtrack_get_pwridx" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core");


MODULE_INFO(srcversion, "7CC3232D1DD6759008C8DAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
