#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0x86c0a27a, "");
SYMBOL_CRC(rtw_sdio_probe, 0x312bf0d8, "");
SYMBOL_CRC(rtw_sdio_remove, 0xac9591a7, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x9b00fae5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb46d9c6c, "sdio_set_host_pm_flags" },
	{ 0x463f55ba, "rtw_chip_info_setup" },
	{ 0x06e5222d, "ieee80211_purge_tx_queue" },
	{ 0x37aae73d, "rtw_unregister_hw" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x31546d3f, "skb_pull" },
	{ 0x241a7307, "rtw_tx_fill_tx_desc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3409b9ab, "skb_push" },
	{ 0x2fdd91c3, "rtw_core_init" },
	{ 0xee383d97, "sdio_readl" },
	{ 0xfea97884, "ieee80211_alloc_hw_nm" },
	{ 0xcf0f8375, "rtw_update_rx_freq_from_ie" },
	{ 0xc33100eb, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x000398e1, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3f79a91e, "__netdev_alloc_skb" },
	{ 0x0f836bc4, "rtw_rx_stats" },
	{ 0x98fc22eb, "rtw_register_hw" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x0009c0dd, "rtw_dbg" },
	{ 0x5e3fa46f, "rtw_core_deinit" },
	{ 0xc615f77c, "rtw_ops" },
	{ 0x9d9a1e2b, "sdio_claim_irq" },
	{ 0xdff8c27c, "skb_copy_header" },
	{ 0xc39bc004, "sdio_enable_func" },
	{ 0xd7c801a7, "dev_kfree_skb_any_reason" },
	{ 0xc7b25481, "rtw_power_mode_change" },
	{ 0x1abed9d6, "rtw_tx_write_data_h2c_get" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xf93d7e63, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xefa6b75a, "ieee80211_rx_irqsafe" },
	{ 0x687524bd, "rtw_rx_query_rx_desc" },
	{ 0xd7ba5a33, "skb_queue_head" },
	{ 0x996f66d0, "sdio_readb" },
	{ 0x38c0f34c, "sdio_writeb" },
	{ 0xfa78b5e3, "rtw_tx_report_enqueue" },
	{ 0x766f11a9, "sdio_release_host" },
	{ 0x923a4dbd, "rtw_tx_queue_mapping" },
	{ 0x33dad2e9, "sdio_disable_func" },
	{ 0x435ad3dc, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x325f1806, "skb_put" },
	{ 0x13092ab9, "sdio_claim_host" },
	{ 0x58712903, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8ce2187, "skb_dequeue" },
	{ 0x5268ae95, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0310d24, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7ebbb688, "sdio_align_size" },
	{ 0xc4c65f5b, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x084ac110, "sdio_release_irq" },
	{ 0x4eadc693, "const_pcpu_hot" },
	{ 0xe3d08389, "skb_queue_tail" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "BAFC9B7482B0340D134CCCA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
