#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x68debc6e, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xcb455af4, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x8813d6a2, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x5f93581d, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xb89749e2, "_gpl");
SYMBOL_CRC(ssam_device_type, 0xe461dde5, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xf0d165a8, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x11ff4113, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x6ec98e51, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xf69b9ba8, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xbd316b44, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x45592ce5, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0xaf774d57, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x1d9831ad, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xa5a5565e, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xacf8e821, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x4dcff360, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x5c74f570, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x7521b6c9, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xc9c19456, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xbce5c7d1, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x5c5118e4, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x81fdb072, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x79f793b0, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x0f237709, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xd9476639, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x23682bbb, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0xca781784, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xba7f792d, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xbe97ea51, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0xbadd5dc2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x217239d5, "wake_up_process" },
	{ 0x53b5c537, "trace_event_buffer_commit" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa1d7c414, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xfe579d3e, "device_for_each_child_reverse" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x926ac781, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x60fd0f5f, "init_srcu_struct" },
	{ 0xe009e2ec, "perf_trace_run_bpf_submit" },
	{ 0x7fbd3ecb, "devm_acpi_dev_add_driver_gpios" },
	{ 0x824c5a45, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x5c0b3526, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7fd032b8, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b145397, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x5bf63d78, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5150a927, "driver_unregister" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb16a8439, "cleanup_srcu_struct" },
	{ 0x464c1aea, "sysfs_create_group" },
	{ 0x09459226, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x73b65514, "serdev_device_wait_until_sent" },
	{ 0x1e62d166, "__serdev_device_driver_register" },
	{ 0xd7c1243a, "bpf_trace_run1" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0xf1d1b8e9, "acpi_dev_clear_dependencies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6cacfd3b, "kmem_cache_alloc_noprof" },
	{ 0xeb60f25a, "fwnode_handle_get" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xc2225100, "__kmem_cache_create_args" },
	{ 0x53daa0ac, "serdev_device_write_buf" },
	{ 0x0eddd417, "down_read" },
	{ 0x2195bc00, "kthread_create_on_node" },
	{ 0xbc211eb1, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xef9ec234, "platform_device_register_full" },
	{ 0xc0d7b7c5, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x91444bc4, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2879204f, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc97ab2e7, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x09a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x254885c7, "device_link_add" },
	{ 0xec00a8e0, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x82895c1c, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbe051333, "__dev_fwnode" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xa861ad37, "bus_register" },
	{ 0x4e3d4299, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xdfe6d13f, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x8548efc4, "is_acpi_device_node" },
	{ 0x9ab2bbb3, "gpiod_put" },
	{ 0x1e135a71, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xf9416509, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xb1342c06, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x13d5a590, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7cd611e3, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x97492a68, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xccfc302a, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa5aedfcf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0xa6454fec, "device_initialize" },
	{ 0xfa852f3e, "serdev_device_set_flow_control" },
	{ 0x014814b3, "trace_event_raw_init" },
	{ 0x388b25f0, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xd20c12d1, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0x5e7e6f2e, "fwnode_get_next_child_node" },
	{ 0xedd20372, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa8cbca2e, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x61fa2c6b, "serdev_device_set_parity" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
