#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x8f0bcff7, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x5df911c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xa9f685ab, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x548233d7, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1b581024, "device_create_file" },
	{ 0x1a6bca18, "single_open" },
	{ 0x394c8403, "seq_printf" },
	{ 0x4a09cf1c, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa91fc6c6, "platform_device_unregister" },
	{ 0x9fca9564, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x3bf76ab6, "led_classdev_notify_brightness_hw_changed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x1a73c7af, "pci_find_bus" },
	{ 0xc9c9c9b6, "pci_bus_read_config_dword" },
	{ 0xd37732bd, "pci_get_slot" },
	{ 0x69247c77, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x75b0d32c, "pci_stop_and_remove_bus_device" },
	{ 0x5843f157, "pci_scan_single_device" },
	{ 0x9fbf66e7, "pci_bus_assign_resources" },
	{ 0x80937b76, "pci_bus_add_device" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x314d68b1, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x27e84404, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x3b961e6d, "backlight_device_unregister" },
	{ 0x439cec0e, "input_unregister_device" },
	{ 0xacc06290, "debugfs_remove" },
	{ 0xbc211eb1, "sysfs_remove_group" },
	{ 0xdd9fac64, "battery_hook_unregister" },
	{ 0xdef24061, "input_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x7d9644dd, "sparse_keymap_report_event" },
	{ 0xf037800b, "backlight_force_update" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x3d920b88, "input_set_capability" },
	{ 0x863244b8, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x065b4695, "wmi_get_acpi_device_uid" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x464c1aea, "sysfs_create_group" },
	{ 0x9286ab40, "input_allocate_device" },
	{ 0x3fdacd3e, "sparse_keymap_setup" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x07b4ae4c, "devm_platform_profile_register" },
	{ 0x82455d23, "input_register_device" },
	{ 0xcebd6c7b, "input_free_device" },
	{ 0x1f58d376, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9c53d3c9, "led_classdev_register_ext" },
	{ 0xdc8a5d5e, "backlight_device_register" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x3643d668, "i8042_install_filter" },
	{ 0x1dbe32b4, "debugfs_create_dir" },
	{ 0x0fe1bf38, "debugfs_create_x32" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7d0113e8, "__pci_hp_register" },
	{ 0xa1ebda95, "pci_get_device" },
	{ 0x4424d773, "pci_read_config_dword" },
	{ 0x30f5442b, "pci_write_config_dword" },
	{ 0xc345b254, "battery_hook_register" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xd155b92f, "seq_read" },
	{ 0xda2845c3, "single_release" },
	{ 0x892e7bc4, "device_show_string" },
	{ 0x63f61a4a, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x037a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfbd29343, "__platform_create_bundle" },
	{ 0x92997ed8, "_printk" },
	{ 0xdf0e7ab0, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,wmi,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "5CF3CD9B2A7343891C92C5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
