#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x0bf424f8, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xa80588d7, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xc972afca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfa44509, "devm_reset_control_array_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x94e33d77, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa4da46a5, "pm_runtime_enable" },
	{ 0x6769c225, "device_property_read_u32_array" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7af93921, "xhci_resume" },
	{ 0x817193fb, "xhci_run" },
	{ 0xed316034, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd49633e7, "xhci_init_driver" },
	{ 0xe6b57535, "usb_put_hcd" },
	{ 0xa1a67b31, "__platform_driver_register" },
	{ 0x5f491a62, "dma_set_coherent_mask" },
	{ 0xaea03044, "devm_clk_get_optional" },
	{ 0x4da664be, "pm_runtime_forbid" },
	{ 0x920da1d6, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf682f441, "__usb_create_hcd" },
	{ 0x3b02411d, "device_property_read_bool" },
	{ 0xe28f7015, "dma_set_mask" },
	{ 0x2b856839, "usb_remove_hcd" },
	{ 0x0462dbec, "__pm_runtime_disable" },
	{ 0x5ce77987, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x42ae5a64, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xfab73b6a, "usb_hcd_platform_shutdown" },
	{ 0x8548efc4, "is_acpi_device_node" },
	{ 0x1e135a71, "device_set_wakeup_capable" },
	{ 0xee01bc4e, "xhci_suspend" },
	{ 0x0f4afe2c, "devm_platform_get_and_ioremap_resource" },
	{ 0x9fca9564, "platform_driver_unregister" },
	{ 0xbabc2323, "platform_get_irq" },
	{ 0xe9ecaa97, "xhci_gen_setup" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("acpi*:PNP0D15:*");

MODULE_INFO(srcversion, "FB8258A511C1093ECBBFDF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
