#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xdd47b965, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x224313e6, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x8a727ce9, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x9f25a4c5, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xa7257d00, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x01f66d03, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0x74eb364c, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x55a17885, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0xea42271c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d6bf042, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xac39c88e, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb95153aa, "module_put" },
	{ 0x7dad1133, "__netlink_dump_start" },
	{ 0x99252947, "sock_diag_unregister" },
	{ 0xd9d632f5, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x79aa030d, "sock_diag_register" },
	{ 0x0932006e, "sock_diag_register_inet_compat" },
	{ 0x91153c44, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x9da60e51, "inet6_lookup" },
	{ 0x8c930c23, "sock_diag_check_cookie" },
	{ 0x22e40090, "sock_gen_put" },
	{ 0xf7a4f9dc, "__inet_lookup_established" },
	{ 0x29c93a22, "__inet_lookup_listener" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x604e4bb9, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x87d32f9f, "bpf_sk_storage_diag_put" },
	{ 0x30c401ad, "sock_diag_put_meminfo" },
	{ 0xa916b694, "strnlen" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x9cf04731, "__alloc_skb" },
	{ 0x5942cb5b, "sk_skb_reason_drop" },
	{ 0xb8b0bf43, "netlink_unicast" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xca2c2709, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x133386ce, "sock_diag_save_cookie" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x86cfaecc, "sock_i_uid" },
	{ 0xe4870918, "from_kuid_munged" },
	{ 0x26d85ffe, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e91dc06, "skb_trim" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C6793C36E2C09683FC8B80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
