#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x00ea755d, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x3c5801fc, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x79b83c76, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xdeeb606b, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xbbbf72fe, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x8919168e, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x46367ea1, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x9b964127, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xb089261e, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x86b3a593, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd244edb4, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9c9b40b8, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x479ee83a, "iptunnel_xmit" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe49ef13a, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8e91dc06, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe09dd65b, "__dynamic_netdev_dbg" },
	{ 0x5ee5824c, "dst_cache_get_ip4" },
	{ 0xdd514163, "sock_create_kern" },
	{ 0x98249180, "call_netdevice_notifiers" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9e6be1e8, "metadata_dst_alloc" },
	{ 0x5b8a23be, "dst_release" },
	{ 0x49a647a7, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd2afd453, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa0eca85a, "dst_cache_set_ip4" },
	{ 0x99486786, "kernel_bind" },
	{ 0x137b72b1, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0xaa8b850a, "netdev_warn" },
	{ 0x031ddae0, "udp_tunnel_nic_ops" },
	{ 0xb89b49b8, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
