#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x286b1a78, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xaf79830e, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xcf9e4f99, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x985ec6a1, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xe6add671, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x779d92f1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cf04731, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xba36bff1, "skb_mpls_pop" },
	{ 0x9a7cd2fb, "skb_vlan_pop" },
	{ 0x3fef669b, "dst_init" },
	{ 0xb95153aa, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x04ea5d10, "ksize" },
	{ 0xb26104d2, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x6e95494c, "rtnl_link_unregister" },
	{ 0xe009e2ec, "perf_trace_run_bpf_submit" },
	{ 0xd200a96f, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xd244edb4, "ipv6_stub" },
	{ 0x15211977, "skb_mpls_update_lse" },
	{ 0x31546d3f, "skb_pull" },
	{ 0x39457398, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5942cb5b, "sk_skb_reason_drop" },
	{ 0xb8b0bf43, "netlink_unicast" },
	{ 0xc30ef94c, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x17b00176, "dev_get_by_index_rcu" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3409b9ab, "skb_push" },
	{ 0x9b145397, "kmem_cache_free" },
	{ 0xe8061713, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x5bf63d78, "trace_event_reg" },
	{ 0x171d994f, "skb_ensure_writable" },
	{ 0xeddeebc7, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x338b76c8, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe0431c0e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2ffaf901, "ethtool_op_get_link" },
	{ 0x102775cf, "__nf_conntrack_confirm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xe34e6b21, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6cacfd3b, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x37357bc9, "__pskb_pull_tail" },
	{ 0x72695cc5, "nf_ct_delete" },
	{ 0xb67535eb, "nf_conncount_init" },
	{ 0xd6ddbfa4, "skb_vlan_push" },
	{ 0x37f564a5, "netif_rx" },
	{ 0x3f79a91e, "__netdev_alloc_skb" },
	{ 0xc2225100, "__kmem_cache_create_args" },
	{ 0xd5b6b7a6, "netdev_master_upper_dev_link" },
	{ 0x24bc3132, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0eddd417, "down_read" },
	{ 0xa86610d7, "inet_proto_csum_replace16" },
	{ 0x8e91dc06, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x970c84a5, "skb_scrub_packet" },
	{ 0x7c666975, "nf_ct_deliver_cached_events" },
	{ 0x03fe3ae9, "ipv6_find_hdr" },
	{ 0x52e10688, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xed4116bd, "crc32c_le_arch" },
	{ 0x28d45b67, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xc0d7b7c5, "trace_event_buffer_reserve" },
	{ 0x7c1a83cd, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1affd123, "inet_proto_csum_replace4" },
	{ 0x5aa3905d, "nf_conncount_destroy" },
	{ 0x2954efae, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x74b73c91, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7df277ac, "dev_get_by_name" },
	{ 0x35f22d54, "skb_clone" },
	{ 0x9e6be1e8, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5b8a23be, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9d70c2d0, "peernet2id_alloc" },
	{ 0x73d7ebff, "nf_ct_get_tuplepr" },
	{ 0xc0dbfe5f, "netdev_rx_handler_register" },
	{ 0xfdac3b5d, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x71c5251f, "genl_unregister_family" },
	{ 0x45dfa73b, "dev_disable_lro" },
	{ 0x62a6d2b3, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0xd7c801a7, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xca9c9bd1, "genl_register_family" },
	{ 0xa04ecee7, "nf_ct_tmpl_free" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb0e1efac, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x41348a16, "__skb_gso_segment" },
	{ 0xbb53856b, "up_read" },
	{ 0x1f7bd2ef, "skb_mpls_push" },
	{ 0x1a945a0e, "register_pernet_device" },
	{ 0x7772db5a, "nf_conntrack_in" },
	{ 0x27e2e008, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x4bda5a04, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4e3d4299, "kmem_cache_destroy" },
	{ 0xf02f3100, "__skb_vlan_pop" },
	{ 0xae8d251c, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbb03af0b, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc4c7e31e, "nf_ct_ext_add" },
	{ 0xa863324a, "nsh_pop" },
	{ 0x7a45d9cf, "nf_conntrack_find_get" },
	{ 0x9c75551b, "nf_ct_set_timeout" },
	{ 0x6a4a490f, "dev_get_stats" },
	{ 0xee585dc3, "__nla_put" },
	{ 0x7d6bf042, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7ea65560, "dev_fill_metadata_dst" },
	{ 0x51126d33, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x17e84f8a, "skb_copy_bits" },
	{ 0xd1b54611, "nf_ct_handle_fragments" },
	{ 0x36a17b98, "eth_mac_addr" },
	{ 0x325f1806, "skb_put" },
	{ 0x2aafb1ed, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x99f6e369, "nsh_push" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd877d6b7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbfc5b5b1, "nf_ct_nat" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7a1a452, "skb_eth_pop" },
	{ 0x7cd611e3, "trace_raw_output_prep" },
	{ 0x028201d1, "skb_gso_validate_mac_len" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x371ccfa3, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xa6f58b74, "nf_ct_helper" },
	{ 0xccfc302a, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa5aedfcf, "trace_event_printf" },
	{ 0xd97ee101, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6da0ff64, "rtnl_link_register" },
	{ 0x25bd0445, "nf_connlabels_put" },
	{ 0x807b89c5, "genlmsg_put" },
	{ 0x4ba953c0, "___pskb_trim" },
	{ 0x014814b3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9eed9687, "psample_sample_packet" },
	{ 0x037a0cba, "kfree" },
	{ 0x0cefafe0, "dev_set_promiscuity" },
	{ 0x1163a786, "nf_ct_destroy_timeout" },
	{ 0xcafb9e04, "nf_ct_add_helper" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0xc362aa57, "nf_conntrack_helper_put" },
	{ 0xd3fdd4f1, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x32c789aa, "nf_ct_skb_network_trim" },
	{ 0xcd011243, "unregister_netdevice_queue" },
	{ 0x9803292d, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xb9ad9e7a, "ether_setup" },
	{ 0x7e7b24d4, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac39c88e, "pskb_expand_head" },
	{ 0x3a8ec91a, "skb_csum_hwoffload_help" },
	{ 0x53b5c537, "trace_event_buffer_commit" },
	{ 0xc632efff, "dev_addr_mod" },
	{ 0xbbf40bbf, "nf_connlabels_replace" },
	{ 0x318066a7, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x767d98af, "alloc_netdev_mqs" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xbd726158, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x92a4e49d, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3228fe24, "skb_eth_push" },
	{ 0xc4bdc58e, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "7F6EAFD471E5EA5ADC1DF31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
