#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x09ba3374, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xc7a7178a, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x769e2d3e, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xa3994e1f, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xa05020f2, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xc43969fe, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xc04878ec, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x8132d031, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x5b5945fe, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x226b547a, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xbcda8765, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xaa39a316, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x4a147288, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xedabf2c6, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xc2bf683a, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x4a3e4ab9, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x2c50f440, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xbf301a49, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x9d573cc0, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x4aaa8267, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xd6768ef1, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xaeb8c344, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67f42706, "snd_hda_sync_vmaster_hook" },
	{ 0x1a3b5e61, "snd_hda_apply_fixup" },
	{ 0xa255fb8a, "snd_hda_enum_helper_info" },
	{ 0xff12dcf9, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0xfc37ce8c, "snd_hdac_codec_read" },
	{ 0x2a2331bb, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x60d578d7, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x62744a48, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcad658c6, "snd_hdac_regmap_sync" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x322bb7aa, "snd_hda_apply_verbs" },
	{ 0xba02d1ae, "snd_hda_codec_amp_update" },
	{ 0xb3cf1f4f, "snd_hda_add_new_ctls" },
	{ 0x75fa8019, "snd_hda_get_connections" },
	{ 0x24c518af, "snd_hda_codec_amp_init_stereo" },
	{ 0x8c347616, "snd_hda_set_vmaster_tlv" },
	{ 0x40fcfd7d, "hda_get_autocfg_input_label" },
	{ 0x1e2d38a7, "query_amp_caps" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0xffd79a8e, "snd_hda_mixer_amp_volume_info" },
	{ 0x1bb796e5, "snd_hdac_regmap_read_raw" },
	{ 0x773be709, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x782e85e9, "snd_hda_codec_setup_stream" },
	{ 0xec952a2b, "snd_hda_mixer_amp_switch_info" },
	{ 0xb56091ef, "hda_codec_driver_unregister" },
	{ 0x5bed87cf, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x45b94f0d, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x555b3ee9, "snd_hda_jack_tbl_get_mst" },
	{ 0xb471996e, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x13121f59, "snd_hda_add_vmaster_hook" },
	{ 0x037a0cba, "kfree" },
	{ 0x4a09cf1c, "led_classdev_unregister" },
	{ 0x03716ce7, "snd_hda_codec_pcm_new" },
	{ 0xa017ce6a, "__snd_hda_codec_cleanup_stream" },
	{ 0xafb1fcf8, "snd_ctl_sync_vmaster" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x72f38a54, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xefbcc6b2, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8def9343, "snd_hda_add_imux_item" },
	{ 0x70260d6d, "snd_hda_correct_pin_ctl" },
	{ 0x88aae6aa, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x3fb511bb, "snd_hda_create_dig_out_ctls" },
	{ 0xcae08a4e, "snd_hda_multi_out_dig_close" },
	{ 0xd0464099, "snd_hda_get_conn_index" },
	{ 0x5f2c7c73, "snd_hda_multi_out_analog_open" },
	{ 0x238fc4d6, "snd_hda_get_bool_hint" },
	{ 0xa4d787b0, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4016dc78, "snd_hda_find_mixer_ctl" },
	{ 0xc2204a64, "snd_hda_get_int_hint" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x2cb3ea0b, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x30c7d3c1, "snd_hda_parse_pin_defcfg" },
	{ 0x4d5a21ab, "snd_hda_codec_amp_init" },
	{ 0x2f2647c2, "snd_hda_create_spdif_in_ctls" },
	{ 0xe2b6be95, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46e1c0b0, "snd_hda_multi_out_analog_cleanup" },
	{ 0x64525486, "snd_hda_multi_out_analog_prepare" },
	{ 0x074d44a4, "snd_ctl_boolean_stereo_info" },
	{ 0x478398ca, "snd_hda_get_conn_list" },
	{ 0xdd7cf7a2, "snd_hda_mixer_amp_switch_get" },
	{ 0xdccb9ef7, "snd_hda_codec_set_pin_target" },
	{ 0x9c53d3c9, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xce5239f6, "snd_hda_attach_beep_device" },
	{ 0xaec812a4, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x466ce333, "snd_hdac_regmap_write_raw" },
	{ 0xce3e4707, "snd_hda_mixer_amp_volume_get" },
	{ 0x2d8551be, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0xa00ed745, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3961811e, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfb8996e3, "snd_hda_jack_unsol_event" },
	{ 0xfa06e0b7, "snd_hda_check_amp_list_power" },
	{ 0x0676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3d7aec2a, "snd_hda_mixer_amp_tlv" },
	{ 0xfca5025c, "snd_hda_jack_add_kctls" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xdbee8650, "__snd_hda_add_vmaster" },
	{ 0xfef6cdcc, "snd_hda_codec_amp_stereo" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
