#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x7026787d, "");
SYMBOL_CRC(snd_trident_stop_voice, 0xdda54865, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xcb71e522, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0xed86755c, "");
SYMBOL_CRC(snd_trident_free_voice, 0xa5cb3ae9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x394c8403, "seq_printf" },
	{ 0xbb1c97fa, "snd_util_memhdr_free" },
	{ 0x230b6370, "snd_mpu401_uart_new" },
	{ 0xe28f7015, "dma_set_mask" },
	{ 0x77f6db49, "snd_pcm_period_elapsed" },
	{ 0x8a05e13f, "__snd_util_memblk_new" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0x5842eff1, "pcim_enable_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x30f5442b, "pci_write_config_dword" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x80dc71fe, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xcd55bcfe, "devm_request_threaded_irq" },
	{ 0xb0028f36, "snd_ctl_add" },
	{ 0x2fe118c2, "snd_ac97_resume" },
	{ 0x0c496b89, "snd_pcm_new" },
	{ 0x193fcdee, "snd_card_register" },
	{ 0xbb9a31f2, "snd_devm_alloc_dir_pages" },
	{ 0x9238769e, "__pci_register_driver" },
	{ 0xa8f8ab80, "snd_pcm_hw_constraint_minmax" },
	{ 0x37554928, "param_array_ops" },
	{ 0x0d46bf6b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xd110b955, "snd_card_rw_proc_new" },
	{ 0xd713bbfa, "snd_ac97_mixer" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x166db6ce, "snd_sgbuf_get_addr" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcc9f9f79, "snd_ac97_bus" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x509c63d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x33aa7c25, "snd_ctl_new1" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x4fcd4080, "snd_ac97_suspend" },
	{ 0x67d74cb4, "snd_ctl_boolean_mono_info" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x08614bcf, "snd_util_memhdr_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xeb611bc0, "snd_ctl_notify" },
	{ 0x6e354506, "snd_pcm_set_ops" },
	{ 0x06626b8b, "snd_pcm_set_managed_buffer" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf1a4f284, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x0933c162, "pci_set_master" },
	{ 0x4aa63a79, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f491a62, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x34f50913, "__snd_util_mem_free" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x63f61a4a, "param_ops_bool" },
	{ 0x5300ea17, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf5956ba, "pci_write_config_byte" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "snd-util-mem,snd-mpu401-uart,snd-pcm,snd,snd-ac97-codec");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EC4AA4D1EB4DC81D1D8C07F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
