#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xfd72b5d2, "");
SYMBOL_CRC(hda_bus_ml_free, 0x42b1914c, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xd794fbe1, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt_unlocked, 0xb6081dad, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x0a3bf7c9, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xf66f9f02, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xf90f44aa, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0xfadbff8d, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0xee635748, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x0626d7a7, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x687f4847, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x2989a1ca, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x9febf006, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x3a23759f, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0xd6684ab2, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x45dc61fc, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xcb2bbd36, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x85d5288d, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x8fb9ceb3, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x6756d491, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xabae4aef, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x95c3699a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xee305b90, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x64b43816, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xd4774564, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x2855e2c6, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xb2493d07, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xf6a223fc, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x8057b18f, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x941f55bd, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xa74997e8, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0xb7d736b5, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x1475099a, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x0a58142e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77ff3a44, "snd_hdac_ext_bus_link_power_up" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb4ee32bc, "snd_hdac_ext_bus_link_power_down" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x2184f5af, "snd_hdac_ext_bus_link_put" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "DE685653B24AD0A49EC9BDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
