#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x99277776, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x60aafba7, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x89ade3ae, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xa042ea17, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xdfaef0b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b9763a5, "crypto_aead_decrypt" },
	{ 0x7e77f39b, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce86c6da, "crypto_unregister_aeads" },
	{ 0x2483dbac, "cryptd_skcipher_child" },
	{ 0xffa35d42, "crypto_skcipher_decrypt" },
	{ 0x2055ebe8, "cryptd_alloc_skcipher" },
	{ 0xb1546b52, "crypto_aead_setkey" },
	{ 0x9e418732, "crypto_register_skcipher" },
	{ 0x7871faaa, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2cf5eb5e, "cryptd_aead_queued" },
	{ 0x5dae01c1, "crypto_unregister_skcipher" },
	{ 0x15641c6f, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84352baf, "cryptd_skcipher_queued" },
	{ 0x272ecb06, "cryptd_free_aead" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x4667da08, "crypto_unregister_skciphers" },
	{ 0x49f2b122, "cryptd_free_skcipher" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xd7e289f9, "crypto_skcipher_encrypt" },
	{ 0xd98c7e81, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xee589108, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xb28593ac, "crypto_register_aead" },
	{ 0xe4130410, "crypto_unregister_aead" },
	{ 0x037a0cba, "kfree" },
	{ 0x9910473b, "crypto_register_aeads" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0xafc9bfb0, "crypto_aead_setauthsize" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
