#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xc443b798, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xd6a3c551, "_gpl");
SYMBOL_CRC(ahci_ops, 0x0a3c4c65, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x341a90bb, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x7b23cf12, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x0a1fa376, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x46b52f3e, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x0bfed2bc, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x90576441, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x4aaf2930, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x280950c9, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x9112b6ec, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x7e5090d5, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x6d9f6075, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x6741a7c8, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x5f553af4, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xb1dc4f63, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xc6b4bd63, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x211190b3, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xf4851b01, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xd15e7d2a, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x1088e8ec, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x540ff3d0, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xe803690a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a50d8bd, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x61612053, "ata_std_qc_defer" },
	{ 0x24844ff6, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x68a47fa2, "ata_port_classify" },
	{ 0x375ce57a, "ata_qc_complete_multiple" },
	{ 0xc386076d, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4f79f95d, "sata_pmp_error_handler" },
	{ 0xe92d8333, "ata_host_start" },
	{ 0xcd55bcfe, "devm_request_threaded_irq" },
	{ 0x17683a02, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xcdd9f307, "ata_host_register" },
	{ 0x6aafbf54, "ata_host_activate" },
	{ 0x0e31ae9e, "ata_dummy_port_ops" },
	{ 0x086f1fb3, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0x2dcd49c1, "dmam_alloc_attrs" },
	{ 0xbff0f749, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9f8f8ec7, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x72ba13e0, "sata_link_hardreset" },
	{ 0x12cf2032, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x378c7875, "sata_lpm_ignore_phy_events" },
	{ 0xff057c57, "ata_ehi_clear_desc" },
	{ 0x6f495c39, "ata_ehi_push_desc" },
	{ 0x5cecb5f7, "sata_async_notification" },
	{ 0x4974c7c9, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6bea40dc, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0x63f61a4a, "param_ops_bool" },
	{ 0xe6827763, "sata_pmp_port_ops" },
	{ 0x42cb7ab9, "dev_attr_sw_activity" },
	{ 0x4390cfde, "dev_attr_unload_heads" },
	{ 0x398476a0, "dev_attr_ncq_prio_supported" },
	{ 0xeb8a6a46, "dev_attr_ncq_prio_enable" },
	{ 0x0768639d, "dev_attr_link_power_management_policy" },
	{ 0x33a9ad95, "dev_attr_em_message_type" },
	{ 0x8553ad04, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x920da1d6, "__pm_runtime_resume" },
	{ 0xe2ad7e64, "__pm_runtime_idle" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c70377d, "ata_link_next" },
	{ 0xb6feec7e, "ata_wait_register" },
	{ 0x5aa418db, "ata_dev_set_feature" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x1a0d5fcc, "ata_msleep" },
	{ 0x1ead3ad8, "sata_link_scr_lpm" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "0C6A7C1E0ADD2F318939B06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
