#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_get_acpi_device_name_and_data, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0xa7b482fb, "");
SYMBOL_CRC(iio_device_id, 0x75e665cd, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0x8e2a2049, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0xee947f6c, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x86bd45bd, "");
SYMBOL_CRC(iio_device_set_clock, 0x316b2726, "");
SYMBOL_CRC(iio_device_get_clock, 0x2a43b0ed, "");
SYMBOL_CRC(iio_get_time_ns, 0x0d60d521, "");
SYMBOL_CRC(iio_enum_available_read, 0x4ce38534, "_gpl");
SYMBOL_CRC(iio_enum_read, 0xf3bfefc3, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x57c705e9, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0xcffc0a96, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0xa847b2f4, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0x6a10550c, "");
SYMBOL_CRC(iio_device_free, 0x47d1d790, "");
SYMBOL_CRC(devm_iio_device_alloc, 0x6771f901, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x72254368, "_gpl");
SYMBOL_CRC(__iio_device_register, 0x29716258, "");
SYMBOL_CRC(iio_device_unregister, 0x8bc6f3dc, "");
SYMBOL_CRC(__devm_iio_device_register, 0x460c4008, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0xdc75d8a5, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0x15642f8f, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0xa59d88e3, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x6c8c7fc9, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0xfea9b6f0, "_gpl");
SYMBOL_CRC(iio_push_event, 0x9ad59cee, "");
SYMBOL_CRC(iio_map_array_register, 0x810224bb, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0xbde2d4b9, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0xe6af61e2, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0x048b1887, "_gpl");
SYMBOL_CRC(iio_channel_get, 0xc8c8e76b, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x2dc468a8, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0x6229881a, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0x24c7dba5, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0xdc5e6e7f, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0xe77969f2, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0x513a49ae, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0x80cb16f6, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0x59184c33, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0x2157869d, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0x039a95f3, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0x47a3ea7f, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x326cdb1a, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x8476f88c, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0xff7350bd, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0x1db260dd, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0xc362f663, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0x2d0e801a, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x6c9a0deb, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0xc4a1d633, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0x07c6d9e9, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0x8977a256, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0xc36a4963, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0x2a56ea52, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0xaca30bf9, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0x8b5b5441, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x9875e50e, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x63e92f42, "");
SYMBOL_CRC(iio_update_buffers, 0x95037e64, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0x2372874e, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0x8550c13f, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x25f2c48c, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0xceda94a8, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0xd3dd9243, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0xb367df22, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0x25e98a81, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0x4b2b4713, "");
SYMBOL_CRC(iio_trigger_unregister, 0x976a6eeb, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0xcab2b496, "");
SYMBOL_CRC(iio_trigger_poll, 0x58f740a7, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0x9d3beb60, "");
SYMBOL_CRC(iio_trigger_notify_done, 0xa2a0f99a, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0x3bb632a2, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0x51f37944, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0xcd49389c, "");
SYMBOL_CRC(iio_trigger_free, 0xcdfd539f, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x453e9d9e, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0x31dfda73, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0x87669037, "");
SYMBOL_CRC(iio_validate_own_trigger, 0xa9f9eddb, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0xd3bc4f25, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0x2b5c58f5, "");
SYMBOL_CRC(iio_device_resume_triggering, 0x21792778, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0x09bd3405, "_gpl");
SYMBOL_CRC(iio_get_acpi_device_name_and_data, 0x0a8ad56c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58c3f6ab, "cdev_device_add" },
	{ 0xd4178bb2, "dma_resv_reset_max_fences" },
	{ 0x938e4f65, "ww_mutex_trylock" },
	{ 0x01000e51, "schedule" },
	{ 0x6c336d68, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa1d7c414, "put_device" },
	{ 0x020dbf27, "bitmap_alloc" },
	{ 0x67cc652d, "dma_buf_map_attachment" },
	{ 0x4eadc693, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf146bdc8, "handle_simple_irq" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb95153aa, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x469e5c1a, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x824c5a45, "bus_unregister" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x66d4e6a6, "simple_open" },
	{ 0xc62de402, "dma_buf_unmap_attachment" },
	{ 0x9e6e9b38, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x5c0b3526, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x404dc7d4, "noop_llseek" },
	{ 0x0782850f, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xff5a8f36, "dma_buf_get" },
	{ 0xacc06290, "debugfs_remove" },
	{ 0xfef22438, "device_property_read_string_array" },
	{ 0xaf4e8083, "__devres_alloc_node" },
	{ 0x9a1ce0e2, "ww_mutex_lock" },
	{ 0x087c73f9, "dma_buf_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x13a3308c, "dma_fence_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x13554606, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66d598d1, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x13b78a64, "__irq_alloc_descs" },
	{ 0x10498b1b, "fwnode_property_read_string" },
	{ 0xaddfe030, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe37394cd, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0xb64a3bfc, "dma_buf_detach" },
	{ 0xd35e50d0, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x1bf8195b, "__irq_set_handler" },
	{ 0x43c8d46e, "__devm_add_action" },
	{ 0x57873b16, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x1dbe32b4, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x42bb56f5, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbe051333, "__dev_fwnode" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xa861ad37, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd25e8324, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x8548efc4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7a76763f, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xb1342c06, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7c019a01, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x802e3aae, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xcebd5508, "ww_mutex_unlock" },
	{ 0xa6454fec, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x0ef21b76, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0x0c111f61, "fwnode_property_get_reference_args" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcf8617c0, "__module_get" },
	{ 0xb87ebe22, "get_device" },
	{ 0xe9ba3057, "dma_buf_attach" },
	{ 0x4a650684, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x372fe0dd, "fwnode_get_parent" },
	{ 0x0354b957, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x018004d2, "device_match_fwnode" },
	{ 0xae2c2ef5, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DA85CBBA48245AF6AC77028");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
