#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x60b12094, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xb73cb99f, "");
SYMBOL_CRC(ivtv_api, 0x1d37006b, "");
SYMBOL_CRC(ivtv_vapi, 0x0929e8e4, "");
SYMBOL_CRC(ivtv_vapi_result, 0xa5321daa, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xc40da2c0, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x01bfc416, "");
SYMBOL_CRC(ivtv_udma_setup, 0x3e67b106, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xa211a3fe, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xfe47839a, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xc7ee978a, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xcff13fd3, "");
SYMBOL_CRC(ivtv_firmware_check, 0x11eeee3c, "");
SYMBOL_CRC(ivtv_claim_stream, 0x1ef1d20f, "");
SYMBOL_CRC(ivtv_release_stream, 0x7a915d4a, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x79a4e85c, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x623b0c68, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36a85ba8, "__v4l2_ctrl_s_ctrl" },
	{ 0xe747bc58, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x1494dcd1, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x690120b4, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd67712e2, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xcf2b6987, "pci_read_config_word" },
	{ 0xe0af7bdb, "v4l2_ctrl_subscribe_event" },
	{ 0xc3e7388a, "v4l2_fh_init" },
	{ 0xcc3291d6, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x06b4579b, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1082593c, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x09459226, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3986aadf, "v4l2_event_subscribe" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x0933c162, "pci_set_master" },
	{ 0xee35af1b, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x5336b009, "__v4l2_device_register_subdev" },
	{ 0xd4b5fa9a, "v4l2_device_register" },
	{ 0xdaed94bd, "param_ops_string" },
	{ 0x36fe8f7f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2195bc00, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x25b543cc, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xae3413da, "__dma_sync_single_for_device" },
	{ 0xdf5956ba, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x35a530be, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf8fe84b0, "v4l2_ctrl_new_std" },
	{ 0x9ccc8de1, "v4l2_ctrl_g_ctrl" },
	{ 0xf03bc41c, "cx2341x_handler_init" },
	{ 0x17810902, "cx2341x_handler_set_50hz" },
	{ 0x033d28f2, "v4l2_ctrl_handler_free" },
	{ 0x03ce2e57, "v4l2_device_unregister" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xe28f7015, "dma_set_mask" },
	{ 0x01372b3e, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1bb2df5f, "v4l2_subdev_call_wrappers" },
	{ 0x0d127d1d, "dma_unmap_sg_attrs" },
	{ 0x39c7508c, "v4l2_event_queue" },
	{ 0x2207a93c, "v4l2_i2c_new_subdev" },
	{ 0x5bd8e543, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0x5842eff1, "pcim_enable_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x904e3d96, "video_device_release_empty" },
	{ 0xbced1541, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x30f5442b, "pci_write_config_dword" },
	{ 0xc915616a, "v4l2_event_unsubscribe" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb5be82e, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x06e04de7, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb28899e7, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1158fd62, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x85571094, "i2c_bit_add_bus" },
	{ 0x1ffaff26, "v4l2_fh_del" },
	{ 0x9ac72626, "v4l2_i2c_new_subdev_board" },
	{ 0xbd4c9c4b, "kthread_flush_worker" },
	{ 0x6309a0e1, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x12cac39d, "dma_unmap_page_attrs" },
	{ 0xfef8f2ef, "request_firmware" },
	{ 0x9238769e, "__pci_register_driver" },
	{ 0x4ef70889, "v4l2_ctrl_handler_init_class" },
	{ 0xca7575c4, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xca2638e4, "unpin_user_pages" },
	{ 0x37554928, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x782ae914, "i2c_transfer_buffer_flags" },
	{ 0xd9c36498, "v4l2_subdev_init" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x509c63d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x217239d5, "wake_up_process" },
	{ 0xbff0f749, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x89ef5314, "dma_map_page_attrs" },
	{ 0x7f3410d1, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf8664fa, "v4l2_ctrl_handler_log_status" },
	{ 0x163e740c, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d1a1079, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x62a9f1ab, "i2c_new_scanned_device" },
	{ 0xa086c9ef, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x7ec49046, "kthread_queue_work" },
	{ 0x4eadc693, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5f80f15d, "__free_pages" },
	{ 0x519daeab, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "videodev,tveeprom,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
