#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xce18b3f0, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0xfe7114a2, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xd82e5e59, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xfb386996, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xa8ab5b5b, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xc55c3438, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0xf67aecb7, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x9f07e230, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x36f7c304, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x8baedd8d, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1d54e0ea, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3f6bf60f, "usb_submit_urb" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x519daeab, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x607a99fe, "media_device_cleanup" },
	{ 0xd07dfe19, "dvb_dmx_swfilter_204" },
	{ 0xb2fb0569, "dvb_dmx_release" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe658ee16, "rc_register_device" },
	{ 0xd9fa7821, "dvb_net_init" },
	{ 0xb9043e18, "dvb_dmx_swfilter" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x96b4d96a, "dvb_dmxdev_release" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xe5e4df3e, "rc_free_device" },
	{ 0x20c5c008, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a8860b1, "dvb_frontend_detach" },
	{ 0x36fe8f7f, "i2c_add_adapter" },
	{ 0x473adcf7, "dvb_net_release" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xf970c960, "rc_allocate_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae1caa92, "dvb_unregister_frontend" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x8846248d, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x300cd124, "__media_device_usb_init" },
	{ 0x508e779b, "dvb_frontend_resume" },
	{ 0x38f99455, "dvb_register_frontend" },
	{ 0xfcf8cdf1, "dvb_frontend_suspend" },
	{ 0x0ac5fd64, "dvb_create_media_graph" },
	{ 0xe630d2cd, "dvb_unregister_adapter" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xbdaa4c63, "dvb_dmx_init" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf8119665, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x30a4a88d, "dvb_dmxdev_init" },
	{ 0x6844b111, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1ac21463, "media_device_unregister" },
	{ 0xa245f31e, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfef8f2ef, "request_firmware" },
	{ 0x037a0cba, "kfree" },
	{ 0x2784c38e, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
