#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_uhs2_dump_regs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_clear_set_irqs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_remove_host, "_gpl", "");

SYMBOL_CRC(sdhci_uhs2_dump_regs, 0x5c05f750, "_gpl");
SYMBOL_CRC(sdhci_uhs2_reset, 0x2ae2a5da, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_power, 0x2cf68484, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_timeout, 0xe5267b86, "_gpl");
SYMBOL_CRC(sdhci_uhs2_clear_set_irqs, 0xf4a992ba, "_gpl");
SYMBOL_CRC(sdhci_uhs2_irq, 0xc740f554, "_gpl");
SYMBOL_CRC(sdhci_uhs2_add_host, 0x37494177, "_gpl");
SYMBOL_CRC(sdhci_uhs2_remove_host, 0x3ae099c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf710df5e, "__sdhci_set_timeout" },
	{ 0xa8300ef5, "mmc_regulator_set_ocr" },
	{ 0xecaac37f, "mmc_regulator_set_vqmmc2" },
	{ 0x03082f95, "sdhci_get_vdd_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8bcb10da, "sdhci_remove_host" },
	{ 0x357c984c, "sdhci_setup_host" },
	{ 0xff19e4a5, "__sdhci_add_host" },
	{ 0x060facce, "sdhci_cleanup_host" },
	{ 0xbb0a14fb, "regulator_get_current_limit" },
	{ 0x561bfe71, "sdhci_data_line_cmd" },
	{ 0xfd0627d7, "sdhci_initialize_data" },
	{ 0x997c1b10, "sdhci_prepare_dma" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5c54fbe5, "sdhci_mod_timer" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x0d38c153, "sdhci_present_error" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x57ca7c74, "sdhci_dumpregs" },
	{ 0xf0882aba, "sdhci_finish_mrq" },
	{ 0x7b6e6694, "sdhci_request" },
	{ 0x9f872ad0, "__sdhci_finish_mrq" },
	{ 0x9a9c6f20, "__sdhci_finish_data_common" },
	{ 0x6c26e607, "mmc_command_done" },
	{ 0xdf0d3ce1, "sdhci_needs_reset" },
	{ 0xcbe59083, "sdhci_do_reset" },
	{ 0xb96b5639, "sdhci_request_done_dma" },
	{ 0x2a30b83c, "mmc_request_done" },
	{ 0xd013af64, "mmc_detect_change" },
	{ 0x9b1d369c, "sdhci_thread_irq" },
	{ 0x8236c57a, "sdhci_complete_work" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8957bd32, "sdhci_set_ios_common" },
	{ 0x155eb99d, "sdhci_set_clock" },
	{ 0xe3a9acb2, "sdhci_enable_preset_value" },
	{ 0x5bb956f9, "sdhci_set_ios" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");


MODULE_INFO(srcversion, "299B41F5CD50B61E53A4431");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
