#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xb4304759, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x940482ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab83f70b, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3409b9ab, "skb_push" },
	{ 0x583e5ef6, "dma_alloc_attrs" },
	{ 0x776893e4, "napi_enable" },
	{ 0xa9c23902, "netif_receive_skb" },
	{ 0x4d391eba, "register_netdev" },
	{ 0xeddeebc7, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4a649d62, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2ffaf901, "ethtool_op_get_link" },
	{ 0x153c74a9, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x56fd6881, "pci_iounmap" },
	{ 0x2bcc71e3, "pci_restore_state" },
	{ 0xe2bc3a75, "netif_tx_wake_queue" },
	{ 0x1f58d376, "devm_hwmon_device_register_with_groups" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x0933c162, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37357bc9, "__pskb_pull_tail" },
	{ 0x5397bde1, "netif_tx_lock" },
	{ 0x3f79a91e, "__netdev_alloc_skb" },
	{ 0x515a596a, "__netif_napi_del_locked" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f491a62, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x52a50633, "dma_free_attrs" },
	{ 0xb764a683, "pci_enable_wake" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbb6dad22, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x984df4fe, "__folio_put" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74bd2ec4, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x35f22d54, "skb_clone" },
	{ 0xd50a90f7, "__hw_addr_sync_dev" },
	{ 0x422c0dde, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5a648544, "netif_carrier_on" },
	{ 0x802af35e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x63ca0372, "alloc_pages_noprof" },
	{ 0x37e1f3dd, "pci_disable_device" },
	{ 0xe28f7015, "dma_set_mask" },
	{ 0x5aa8fa76, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2adf08c3, "napi_schedule_prep" },
	{ 0x104c8f40, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xac5a9180, "napi_disable" },
	{ 0xd7c801a7, "dev_kfree_skb_any_reason" },
	{ 0xae387d89, "_dev_printk" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xecc4e007, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x30f5442b, "pci_write_config_dword" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x7282cddd, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6cfc9531, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc823df48, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x010de650, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x5f976c1f, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x17e84f8a, "skb_copy_bits" },
	{ 0x1784fc6a, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x613fb389, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdfd05a46, "param_ops_ushort" },
	{ 0xd877d6b7, "consume_skb" },
	{ 0x7abc3b3f, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xf084720e, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x32780ec6, "ndo_dflt_bridge_getlink" },
	{ 0xb0e368a6, "unregister_netdev" },
	{ 0x9f9775cc, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x12cac39d, "dma_unmap_page_attrs" },
	{ 0xfef8f2ef, "request_firmware" },
	{ 0x9238769e, "__pci_register_driver" },
	{ 0x38b4dcb3, "pci_num_vf" },
	{ 0x0d46bf6b, "pci_request_regions" },
	{ 0x4ba953c0, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0x20a35d0d, "pci_sriov_get_totalvfs" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0xe9c3c896, "eth_validate_addr" },
	{ 0x995af042, "netif_napi_add_weight_locked" },
	{ 0x031ddae0, "udp_tunnel_nic_ops" },
	{ 0x73433b58, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x509c63d6, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac39c88e, "pskb_expand_head" },
	{ 0xbff0f749, "dev_driver_string" },
	{ 0xc632efff, "dev_addr_mod" },
	{ 0x318066a7, "eth_type_trans" },
	{ 0x4424d773, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x89ef5314, "dma_map_page_attrs" },
	{ 0xe86ce40a, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2ac732b6, "__napi_schedule" },
	{ 0x606da422, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x69a184e6, "netif_device_detach" },
	{ 0x3511fbd4, "__hw_addr_unsync_dev" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x8a8898ae, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe747bc58, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0xd2c35a47, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xacccbb63, "netif_set_real_num_tx_queues" },
	{ 0x5942cb5b, "sk_skb_reason_drop" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "205612569D26FEAD3020046");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
