#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xeab78021, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xa9ffc05e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xab83f70b, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x583e5ef6, "dma_alloc_attrs" },
	{ 0xacc06290, "debugfs_remove" },
	{ 0xcf2b6987, "pci_read_config_word" },
	{ 0x776893e4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd615e373, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xef6e4990, "dcbnl_ieee_notify" },
	{ 0x1afe20a3, "xsk_uses_need_wakeup" },
	{ 0x4d391eba, "register_netdev" },
	{ 0x5bf63d78, "trace_event_reg" },
	{ 0x6573f300, "ida_free" },
	{ 0xeddeebc7, "free_netdev" },
	{ 0x241581e5, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2ffaf901, "ethtool_op_get_link" },
	{ 0x0785cb73, "eth_platform_get_mac_address" },
	{ 0x153c74a9, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x70502df6, "__SCK__tp_func_xdp_exception" },
	{ 0x65a1a1ab, "netif_tx_stop_all_queues" },
	{ 0x2bcc71e3, "pci_restore_state" },
	{ 0xe2bc3a75, "netif_tx_wake_queue" },
	{ 0x13554606, "device_del" },
	{ 0xb1e37271, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6501f3b4, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0xe722dd00, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4307443f, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x5072c7d8, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x0933c162, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x30f24893, "flow_rule_match_ipv6_addrs" },
	{ 0x5012ff4b, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x0e50014c, "ptp_clock_unregister" },
	{ 0x37357bc9, "__pskb_pull_tail" },
	{ 0x47bf069f, "xp_dma_unmap" },
	{ 0x515a596a, "__netif_napi_del_locked" },
	{ 0xe09dd65b, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0cc283a, "netdev_unbind_sb_channel" },
	{ 0x5f491a62, "dma_set_coherent_mask" },
	{ 0x78fc0108, "bpf_trace_run3" },
	{ 0x9193eb99, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x03fe3ae9, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x222d259c, "netdev_bind_sb_channel_queue" },
	{ 0xe5f96b8b, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbcee1aff, "netdev_reset_tc" },
	{ 0x52a50633, "dma_free_attrs" },
	{ 0xc0d7b7c5, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae3413da, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x98249180, "call_netdevice_notifiers" },
	{ 0x3bbf1aa4, "xp_set_rxq_info" },
	{ 0x50f9352f, "flow_rule_match_vlan" },
	{ 0x657aaf98, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xae2f471f, "napi_build_skb" },
	{ 0x4b9d49b3, "__xdp_rxq_info_reg" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74bd2ec4, "netif_carrier_off" },
	{ 0x00508991, "devlink_priv" },
	{ 0xd50a90f7, "__hw_addr_sync_dev" },
	{ 0x0c9e5a20, "devlink_port_register_with_ops" },
	{ 0x422c0dde, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5a648544, "netif_carrier_on" },
	{ 0x54a22f8e, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x802af35e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf068ceac, "dev_uc_add_excl" },
	{ 0x37e1f3dd, "pci_disable_device" },
	{ 0x2dd6dd6e, "xp_free" },
	{ 0x9ea7632b, "dev_mc_add_excl" },
	{ 0xda5ee829, "dev_uc_add" },
	{ 0xe28f7015, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0cf8ff49, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0xbc2d7dbd, "skb_add_rx_frag_netmem" },
	{ 0x74463fe4, "xdp_master_redirect" },
	{ 0x4ca07748, "__napi_schedule_irqoff" },
	{ 0x2adf08c3, "napi_schedule_prep" },
	{ 0x1c734df1, "napi_consume_skb" },
	{ 0x5bd8e543, "pci_read_config_byte" },
	{ 0x7eb29424, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xac5a9180, "napi_disable" },
	{ 0xd7c801a7, "dev_kfree_skb_any_reason" },
	{ 0x76311bdc, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x1dbe32b4, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x48fb9512, "flow_rule_match_control" },
	{ 0xecc4e007, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xc1a500fe, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa254c905, "ethtool_op_get_ts_info" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x7282cddd, "netdev_info" },
	{ 0x4bda5a04, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf6ba1ede, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8860262b, "__tracepoint_xdp_exception" },
	{ 0x9edb9cab, "xsk_tx_completed" },
	{ 0x475c42c8, "napi_alloc_skb" },
	{ 0x6cfc9531, "alloc_etherdev_mqs" },
	{ 0xc823df48, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xff8a8bdb, "pcie_capability_read_word" },
	{ 0x996bcd38, "device_set_wakeup_enable" },
	{ 0x010de650, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa716f682, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb5e7c1ec, "pci_find_ext_capability" },
	{ 0x0fb86684, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4e6412aa, "xp_dma_map" },
	{ 0xb6fbf0d1, "devlink_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x17e84f8a, "skb_copy_bits" },
	{ 0x1784fc6a, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5702f76f, "pci_request_selected_regions" },
	{ 0x0d7b5206, "pci_release_selected_regions" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0x1947619f, "pci_wake_from_d3" },
	{ 0x613fb389, "pci_enable_device" },
	{ 0xcfd79e7f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x60fae183, "auxiliary_device_init" },
	{ 0x73c7cb96, "pci_enable_device_mem" },
	{ 0xd877d6b7, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96528661, "xsk_tx_peek_release_desc_batch" },
	{ 0xf084720e, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7cd611e3, "trace_raw_output_prep" },
	{ 0x8196ba7d, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x32780ec6, "ndo_dflt_bridge_getlink" },
	{ 0xb0e368a6, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x7ebb651e, "xdp_convert_zc_to_xdp_frame" },
	{ 0x5d698ffe, "xdp_features_set_redirect_target" },
	{ 0xccfc302a, "__trace_trigger_soft_disabled" },
	{ 0xa1ebda95, "pci_get_device" },
	{ 0x12cac39d, "dma_unmap_page_attrs" },
	{ 0xfef8f2ef, "request_firmware" },
	{ 0xa5aedfcf, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x9238769e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x38b4dcb3, "pci_num_vf" },
	{ 0xeb1351ea, "flow_rule_match_eth_addrs" },
	{ 0xe846c574, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xabaa0559, "pci_disable_msi" },
	{ 0xc7c68666, "ptp_clock_index" },
	{ 0x014814b3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x9bcba228, "devlink_alloc_ns" },
	{ 0x55eafb95, "devlink_register" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0x89abc538, "xdp_do_redirect" },
	{ 0x5c710aaf, "devlink_free" },
	{ 0xe9c3c896, "eth_validate_addr" },
	{ 0x995af042, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xedd20372, "bpf_trace_run2" },
	{ 0xaa8b850a, "netdev_warn" },
	{ 0x031ddae0, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x99333179, "pci_set_power_state" },
	{ 0x00148653, "vsnprintf" },
	{ 0x1d8c1dad, "flow_rule_match_ipv4_addrs" },
	{ 0xb7bbb278, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x509c63d6, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x25614ae9, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac39c88e, "pskb_expand_head" },
	{ 0xbff0f749, "dev_driver_string" },
	{ 0xbf02987e, "pci_restore_msi_state" },
	{ 0x53b5c537, "trace_event_buffer_commit" },
	{ 0xc632efff, "dev_addr_mod" },
	{ 0xb5252fb8, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf2409f41, "ptp_find_pin" },
	{ 0x318066a7, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x89ef5314, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xe86ce40a, "napi_complete_done" },
	{ 0xb53482a8, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8412b652, "priv_to_devlink" },
	{ 0xf79309ec, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa1d7c414, "put_device" },
	{ 0x2ac732b6, "__napi_schedule" },
	{ 0x0cbfdcc5, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x606da422, "pci_enable_msix_range" },
	{ 0x02eda159, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5f80f15d, "__free_pages" },
	{ 0x3511fbd4, "__hw_addr_unsync_dev" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x446bcdce, "napi_gro_receive" },
	{ 0xd953467c, "xdp_features_clear_redirect_target" },
	{ 0x9ff49bfb, "pci_select_bars" },
	{ 0x8ec9d0ff, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa61cbd8d, "xp_raw_get_dma" },
	{ 0x8f39b066, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x269d2fff, "xdp_rxq_info_is_reg" },
	{ 0xb4ceca04, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x13880251, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe747bc58, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xc099459a, "pci_enable_msi" },
	{ 0xe009e2ec, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x94639991, "devlink_port_unregister" },
	{ 0x9f8f8ec7, "devm_kfree" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0xd200a96f, "init_net" },
	{ 0xd2c35a47, "softnet_data" },
	{ 0x66d4e6a6, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0xc4276507, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x67c77e36, "ptp_clock_register" },
	{ 0xd25afea0, "ethtool_intersect_link_masks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xacccbb63, "netif_set_real_num_tx_queues" },
	{ 0x41138a0b, "__auxiliary_device_add" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9C1FA41A8BAAC5891FAE040");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
