#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x26c11bc4, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xf865019a, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xc202f1ba, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xbedd4c2f, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x74f50c99, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x048e9e81, "eth_header_parse" },
	{ 0x92a4e49d, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x294e71e8, "eth_header_cache_update" },
	{ 0xa7f4d51c, "nf_register_net_hooks" },
	{ 0xe3fe25a5, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x43b8c055, "ip_route_input_noref" },
	{ 0x13dcae2d, "__dev_get_by_index" },
	{ 0x6e95494c, "rtnl_link_unregister" },
	{ 0x31546d3f, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5942cb5b, "sk_skb_reason_drop" },
	{ 0x5a31ed63, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe8061713, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcb96e84c, "ns_capable" },
	{ 0x505ccb36, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2ffaf901, "ethtool_op_get_link" },
	{ 0x8e53d8d7, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x4eb99c38, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x37357bc9, "__pskb_pull_tail" },
	{ 0x37f564a5, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x970c84a5, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x28d45b67, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3709ce66, "vlan_vid_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x98249180, "call_netdevice_notifiers" },
	{ 0xa38c88d4, "vlan_vid_del" },
	{ 0x24df495f, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x35f22d54, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5b8a23be, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc0dbfe5f, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe175ff46, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xca1542f5, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x4f846bd7, "dev_mc_unsync" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xcb99c123, "dev_change_flags" },
	{ 0x8cf8ca7e, "netdev_core_stats_inc" },
	{ 0xd367899e, "dev_forward_skb" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbb03af0b, "register_netdevice" },
	{ 0xf3763ffb, "__do_once_done" },
	{ 0x41c20c2e, "ip6_route_input_lookup" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf354aa43, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7a623509, "dev_mc_sync" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xac23eb16, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x31704b5b, "netdev_update_features" },
	{ 0xd877d6b7, "consume_skb" },
	{ 0xdc1e4d77, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x776a4c2c, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6da0ff64, "rtnl_link_register" },
	{ 0xda6c5a3d, "netif_inherit_tso_max" },
	{ 0x17d2b143, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0xb89b49b8, "ip_route_output_flow" },
	{ 0xcd011243, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8eae7fa0, "dev_uc_unsync" },
	{ 0xb9ad9e7a, "ether_setup" },
	{ 0x25614ae9, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcfa48422, "netdev_upper_dev_link" },
	{ 0xb46eda38, "register_pernet_subsys" },
	{ 0xc632efff, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB58FA724CDA66279765F9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
