#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13b59de6, "mdio_i2c_alloc" },
	{ 0xdf025e81, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x43c8d46e, "__devm_add_action" },
	{ 0xa94ff798, "device_get_match_data" },
	{ 0xbe051333, "__dev_fwnode" },
	{ 0xcc0f4d85, "fwnode_find_reference" },
	{ 0xfaf35c15, "i2c_get_adapter_by_fwnode" },
	{ 0x6769c225, "device_property_read_u32_array" },
	{ 0x6efe62a4, "devm_gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x109fc723, "sfp_register_socket" },
	{ 0x388b25f0, "gpiod_to_irq" },
	{ 0x1dbe32b4, "debugfs_create_dir" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0x6e38d86a, "devm_kasprintf" },
	{ 0xcd55bcfe, "devm_request_threaded_irq" },
	{ 0xacc06290, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xd155b92f, "seq_read" },
	{ 0xda2845c3, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa1a67b31, "__platform_driver_register" },
	{ 0x49f9f9f3, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x2aadb839, "get_phy_device" },
	{ 0x9be008fd, "phy_device_register" },
	{ 0xf3f9c86f, "sfp_add_phy" },
	{ 0x40e92c4b, "phy_device_remove" },
	{ 0x174f95ee, "phy_device_free" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x879be82e, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x07e80ef9, "gpiod_direction_input" },
	{ 0x7ae7eb9e, "gpiod_direction_output" },
	{ 0xae4b6294, "mdiobus_unregister" },
	{ 0x06703e3b, "mdiobus_free" },
	{ 0x10c8412e, "i2c_put_adapter" },
	{ 0x037a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xcc1fd528, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x12f6be0e, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1a6bca18, "single_open" },
	{ 0x394c8403, "seq_printf" },
	{ 0x9fca9564, "platform_driver_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x1271c29b, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "2DB1EBF31F118A7FAC799D1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
