#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x9d14c255, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x95bc70f9, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0xd7eb0368, "_gpl");
SYMBOL_CRC(wlcore_probe, 0xbf4f5aca, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x383d0c7b, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xc38e1795, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x70ca7bbc, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x6499c750, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x76c2873b, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xec1751d1, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xc91088ae, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x62a9aff0, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x5ae6e93d, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xe42e9a12, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xad52088e, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x83ce5843, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x4dcd7da5, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x63cfcd0f, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x391b79ee, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xd08d57d8, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0xa2aebf95, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0xa3c7198f, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x8104263b, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x0a3425a2, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x4be395e8, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0xc9db95a7, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x3a5c90a8, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x4b3c3da7, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0xce39df2e, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x4b7325f1, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x6e6d6293, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x015edae8, "");
SYMBOL_CRC(wlcore_tx_complete, 0x9cafa20a, "");
SYMBOL_CRC(wl1271_tx_flush, 0x02db6536, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x65c4a3fb, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xee9525f6, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x8020edf9, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xd4049ac2, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xca8f945f, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0xa6136d12, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x140ad681, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x268cfcf3, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xbd416a31, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x6351a7b5, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x2b997b0e, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xcc108689, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x397d6980, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xe3d08389, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7c6c7ad5, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1b581024, "device_create_file" },
	{ 0xc6bd2bbc, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x033712b4, "ieee80211_queue_delayed_work" },
	{ 0x828ccc2a, "ieee80211_proberesp_get" },
	{ 0x71f436d1, "device_wakeup_enable" },
	{ 0x431979a7, "request_firmware_nowait" },
	{ 0x66d4e6a6, "simple_open" },
	{ 0x31546d3f, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x124ddd53, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa9e8dab5, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3409b9ab, "skb_push" },
	{ 0xacc06290, "debugfs_remove" },
	{ 0x7779ecde, "no_seek_end_llseek" },
	{ 0x24e19669, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9a2fccf3, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x89d8ca87, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xfea97884, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5d3cdfc7, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x4aa63a79, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5e0889d7, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x3f79a91e, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x2ca7e094, "ieee80211_ready_on_channel" },
	{ 0x7758be7b, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8e91dc06, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb49970c5, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x1c6082c8, "pv_ops" },
	{ 0x999e8297, "vfree" },
	{ 0x60c0a071, "ieee80211_sched_scan_results" },
	{ 0x920da1d6, "__pm_runtime_resume" },
	{ 0x1cb4a916, "ieee80211_scan_completed" },
	{ 0xeffb1bc6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3b84a9d, "dev_pm_clear_wake_irq" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b1dd46f, "pm_runtime_force_resume" },
	{ 0xdd7921eb, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x83813c7f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0x6166b1bf, "ieee80211_cqm_rssi_notify" },
	{ 0x1aa9fc8e, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x05ccd885, "ieee80211_queue_work" },
	{ 0x02e19f64, "__pm_runtime_use_autosuspend" },
	{ 0x93f43019, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0x0462dbec, "__pm_runtime_disable" },
	{ 0x1dbe32b4, "debugfs_create_dir" },
	{ 0x7b9f4c8b, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x790c8275, "pm_runtime_force_suspend" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe2ad7e64, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x35d13fd6, "device_remove_bin_file" },
	{ 0x548233d7, "device_remove_file" },
	{ 0x00758289, "ieee80211_csa_finish" },
	{ 0xd7ba5a33, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2d724a60, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1e135a71, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x605b0547, "ieee80211_iterate_interfaces" },
	{ 0x52bb81eb, "ieee80211_sched_scan_stopped" },
	{ 0x1784fc6a, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x45a97c20, "ieee80211_chswitch_done" },
	{ 0x325f1806, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd877d6b7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xf8ce2187, "skb_dequeue" },
	{ 0x05e5021e, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5268ae95, "ieee80211_free_hw" },
	{ 0xb2232a67, "ieee80211_probereq_get" },
	{ 0xfef8f2ef, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7b286e7c, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x424d81f4, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0xbfabece8, "ieee80211_pspoll_get" },
	{ 0xe8244bdd, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x48fd9348, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x48b35b4d, "ieee80211_get_hdrlen_from_skb" },
	{ 0x48fce6ab, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3e59a6bf, "ieee80211_stop_rx_ba_session" },
	{ 0x7ab701ec, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x930a004f, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6cea786d, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd10082de, "ieee80211_find_sta" },
	{ 0x93d19785, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xa0b69056, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xa4da46a5, "pm_runtime_enable" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "103710E8A4B6A1EBBE1D93B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
