#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x4e545b2d, "");
SYMBOL_CRC(fc_host_post_event, 0x5065d60c, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x92f2c412, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xcb23e0a3, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xf736fa4f, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xc6ceaf3e, "");
SYMBOL_CRC(fc_eh_timed_out, 0x1ebaeadd, "");
SYMBOL_CRC(fc_attach_transport, 0x7bd049a2, "");
SYMBOL_CRC(fc_release_transport, 0x8a3310fb, "");
SYMBOL_CRC(fc_remove_host, 0x6082e888, "");
SYMBOL_CRC(fc_remote_port_add, 0x2f1fcbd8, "");
SYMBOL_CRC(fc_remote_port_delete, 0x85e0ce59, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xca687c98, "");
SYMBOL_CRC(fc_block_rport, 0x6c896faf, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x926e3d4f, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x50e017d5, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xd467626c, "");
SYMBOL_CRC(fc_vport_terminate, 0x62a51801, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6454fec, "device_initialize" },
	{ 0xb87ebe22, "get_device" },
	{ 0xb1342c06, "dev_set_name" },
	{ 0xad5c1976, "transport_setup_device" },
	{ 0x5c0b3526, "device_add" },
	{ 0x38ca7598, "transport_add_device" },
	{ 0x5d3af62b, "transport_configure_device" },
	{ 0x31366442, "sysfs_create_link" },
	{ 0xae387d89, "_dev_printk" },
	{ 0x54d99c97, "transport_remove_device" },
	{ 0x13554606, "device_del" },
	{ 0xe4944352, "transport_destroy_device" },
	{ 0xb802f05a, "scsi_host_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0xdbaeb2eb, "attribute_container_register" },
	{ 0x2a98769f, "scsi_flush_work" },
	{ 0x29d36309, "sysfs_remove_link" },
	{ 0xc92e5e04, "bsg_remove_queue" },
	{ 0x52aaf7b7, "scsi_target_unblock" },
	{ 0x96918aee, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1040404, "scsi_is_target_device" },
	{ 0x273f299b, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x71fcc6f3, "scsi_queue_work" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x5a17de8f, "bsg_job_get" },
	{ 0xc89a88a7, "blk_mq_end_request" },
	{ 0xc762d43a, "bsg_job_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x73f3d894, "blk_mq_run_hw_queues" },
	{ 0x2dfe1b34, "bsg_job_done" },
	{ 0x1784fc6a, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa1d7c414, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xee7bd5db, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xdff8a9b7, "transport_class_register" },
	{ 0x75de111f, "transport_class_unregister" },
	{ 0x2931f2c8, "scsi_nl_sock" },
	{ 0x9cf04731, "__alloc_skb" },
	{ 0x604e4bb9, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e7b24d4, "netlink_broadcast_filtered" },
	{ 0x5942cb5b, "sk_skb_reason_drop" },
	{ 0x852908cd, "scsi_init_limits" },
	{ 0x4019ef4e, "bsg_setup_queue" },
	{ 0x4b67a01e, "blk_queue_rq_timeout" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x5e3d0ef6, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc31a8b93, "attribute_container_unregister" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdcc43ed1, "scsi_host_get" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FD1C5C62001CAEB8AFAA692");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
