#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(is_clock_scaling_supported_by_slave, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_slave_get_scale_index, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_lane_mapping, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x3bbf9c16, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xc63265d1, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xe6c3144e, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x5631fe40, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x0b9a88a2, "");
SYMBOL_CRC(sdw_show_ping_status, 0xf74d1b97, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x4e8e1ee4, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x5bc1cff5, "");
SYMBOL_CRC(sdw_write_no_pm, 0xcada611d, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xd500c889, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x0fa32180, "");
SYMBOL_CRC(sdw_read_no_pm, 0x81f7306f, "");
SYMBOL_CRC(sdw_update_no_pm, 0xab63be50, "");
SYMBOL_CRC(sdw_update, 0xc19a03ed, "");
SYMBOL_CRC(sdw_nread, 0x67097af7, "");
SYMBOL_CRC(sdw_nwrite, 0x28387b5e, "");
SYMBOL_CRC(sdw_read, 0x8aa19d2f, "");
SYMBOL_CRC(sdw_write, 0x29b6df38, "");
SYMBOL_CRC(sdw_compare_devid, 0x6c644627, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x00102c65, "");
SYMBOL_CRC(is_clock_scaling_supported_by_slave, 0x6bea79b7, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xfedcbb78, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x8167a6b7, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x3c5dc482, "");
SYMBOL_CRC(sdw_slave_get_scale_index, 0x4ab0ca4f, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x50f89c63, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x909af733, "");
SYMBOL_CRC(sdw_slave_add, 0x8cc4d6bb, "");
SYMBOL_CRC(sdw_master_read_prop, 0xb18d660f, "");
SYMBOL_CRC(sdw_slave_read_lane_mapping, 0x63a26b93, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x18498da5, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0xcf4d01b6, "");
SYMBOL_CRC(sdw_enable_stream, 0x62705df3, "");
SYMBOL_CRC(sdw_disable_stream, 0x9542f962, "");
SYMBOL_CRC(sdw_deprepare_stream, 0xa8156c84, "");
SYMBOL_CRC(sdw_alloc_stream, 0xcff67581, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x03c7bfd4, "");
SYMBOL_CRC(sdw_stream_add_master, 0xcb962a4e, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x6f4cf53d, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x1c521416, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x8d1661a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe84a3998, "device_register" },
	{ 0x8bddbbe3, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xfe6c344f, "sdca_lookup_functions" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6e38d86a, "devm_kasprintf" },
	{ 0xd155b92f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaddfe030, "fwnode_property_present" },
	{ 0xfb4139e4, "irq_domain_instantiate" },
	{ 0x920da1d6, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x473a728b, "device_get_named_child_node" },
	{ 0x232480d1, "sdca_lookup_interface_revision" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x394c8403, "seq_printf" },
	{ 0x900539c4, "irq_create_mapping_affinity" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0xda2845c3, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xf8eb88da, "acpi_dev_for_each_child" },
	{ 0x1aa9fc8e, "__pm_runtime_suspend" },
	{ 0x43c8d46e, "__devm_add_action" },
	{ 0x57873b16, "irq_set_chip" },
	{ 0x754d539c, "strlen" },
	{ 0x02e19f64, "__pm_runtime_use_autosuspend" },
	{ 0x1a6bca18, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x0462dbec, "__pm_runtime_disable" },
	{ 0x1dbe32b4, "debugfs_create_dir" },
	{ 0xbec04c25, "fwnode_property_read_u8_array" },
	{ 0x82895c1c, "driver_register" },
	{ 0xe2ad7e64, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0xa861ad37, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8bff22d7, "debugfs_create_str" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8548efc4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3a903fcb, "simple_attr_open" },
	{ 0xc45f5f53, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1342c06, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0x97492a68, "device_unregister" },
	{ 0x05e5021e, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x4f200795, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xfef8f2ef, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6217556, "seq_lseek" },
	{ 0x9fb50686, "dev_pm_domain_attach" },
	{ 0xfc3e4261, "devm_device_add_group" },
	{ 0x4b411df2, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd31d01d, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x94e33d77, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa1d7c414, "put_device" },
	{ 0xa4da46a5, "pm_runtime_enable" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x6769c225, "device_property_read_u32_array" },
	{ 0x33159ff6, "fwnode_property_read_u32_array" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xe330494a, "dev_pm_domain_detach" },
	{ 0xab4ded66, "pm_generic_runtime_suspend" },
	{ 0xf9dc8740, "debugfs_attr_read" },
	{ 0x824c5a45, "bus_unregister" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x78142996, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x114cdedc, "device_property_read_string" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xacc06290, "debugfs_remove" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x6573f300, "ida_free" },
	{ 0x5150a927, "driver_unregister" },
	{ 0xbdce6c76, "__dev_fwnode_const" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sdca");


MODULE_INFO(srcversion, "4EE892065A194631EF58828");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
