#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_soft_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x54e5c296, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x4db1aa9f, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x6d1b7d4d, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x304dedf1, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x179deda3, "");
SYMBOL_CRC(cdns_read_ping_status, 0x885f6c95, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x20a829ce, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x4dd2efe6, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xa7e0e78d, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x6426c736, "");
SYMBOL_CRC(sdw_cdns_soft_reset, 0xe6b39d05, "");
SYMBOL_CRC(sdw_cdns_init, 0x2efc5711, "");
SYMBOL_CRC(cdns_bus_conf, 0xa586729f, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x500ae966, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xe3456a13, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x65ba37c6, "");
SYMBOL_CRC(sdw_cdns_probe, 0xba7ffc82, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xb9dcef6d, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xafe75f29, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x1e02251f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6217556, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x50f89c63, "sdw_handle_slave_status" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe33bfb74, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xf9dc8740, "debugfs_attr_read" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x78142996, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd155b92f, "seq_read" },
	{ 0x920da1d6, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xe7e7a5e1, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x394c8403, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xced00951, "debugfs_create_file_full" },
	{ 0xda2845c3, "single_release" },
	{ 0xd500c889, "sdw_bread_no_pm_unlocked" },
	{ 0x1aa9fc8e, "__pm_runtime_suspend" },
	{ 0xff83c80c, "param_ops_int" },
	{ 0x1a6bca18, "single_open" },
	{ 0x3c5dc482, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaa3dfd4a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfedcbb78, "sdw_bus_prep_clk_stop" },
	{ 0x3a903fcb, "simple_attr_open" },
	{ 0xc45f5f53, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8167a6b7, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "F7065D219E9038C42E8ED60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
