#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sc16is74x_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is750_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is752_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is760_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is762_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_probe, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_remove, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_dt_ids, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_regcfg, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_name, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_port_mask, "_gpl", "SERIAL_NXP_SC16IS7XX");

SYMBOL_CRC(sc16is74x_devtype, 0x561783a9, "_gpl");
SYMBOL_CRC(sc16is750_devtype, 0x1af41b3d, "_gpl");
SYMBOL_CRC(sc16is752_devtype, 0x1e01cb00, "_gpl");
SYMBOL_CRC(sc16is760_devtype, 0x83167d3c, "_gpl");
SYMBOL_CRC(sc16is762_devtype, 0x87e3ad01, "_gpl");
SYMBOL_CRC(sc16is7xx_probe, 0xa46b7505, "_gpl");
SYMBOL_CRC(sc16is7xx_remove, 0x0e077586, "_gpl");
SYMBOL_CRC(sc16is7xx_dt_ids, 0x97b77680, "_gpl");
SYMBOL_CRC(sc16is7xx_regcfg, 0x8f66d36c, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_name, 0xe64f5280, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_port_mask, 0x01e26f72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x779d9a4f, "uart_handle_cts_change" },
	{ 0x71a40b38, "uart_handle_dcd_change" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6a051ea8, "uart_get_baud_rate" },
	{ 0xe747afce, "uart_update_timeout" },
	{ 0x0c774c85, "devm_kmalloc" },
	{ 0x6769c225, "device_property_read_u32_array" },
	{ 0xaea03044, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x06b4579b, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x2195bc00, "kthread_create_on_node" },
	{ 0x217239d5, "wake_up_process" },
	{ 0x01372b3e, "sched_set_fifo" },
	{ 0x6efe62a4, "devm_gpiod_get_optional" },
	{ 0x7215d589, "gpiod_set_value_cansleep" },
	{ 0xfb578fc5, "memset" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xaffe522f, "uart_get_rs485_mode" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9afe4a82, "uart_add_one_port" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x326c0a28, "__dynamic_dev_dbg" },
	{ 0x918689b3, "gpiochip_add_data_with_key" },
	{ 0xcd55bcfe, "devm_request_threaded_irq" },
	{ 0xc97ab2e7, "dev_err_probe" },
	{ 0xdc114a5d, "_dev_err" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xdd5fa381, "__kfifo_out_linear" },
	{ 0xe13748d0, "regmap_noinc_write" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xd9c1ec9a, "uart_write_wakeup" },
	{ 0x7cdc21e5, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29b700ad, "uart_insert_char" },
	{ 0x0bb08ad9, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x809a0aae, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71e6d663, "do_SAK" },
	{ 0x473ffbb0, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x05f8cd53, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ec49046, "kthread_queue_work" },
	{ 0x769ca21d, "kthread_queue_delayed_work" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x137add0f, "regmap_write" },
	{ 0x2bec17c4, "regcache_cache_bypass" },
	{ 0x96298700, "gpiochip_get_data" },
	{ 0xd4685f2a, "uart_register_driver" },
	{ 0xf7757606, "uart_unregister_driver" },
	{ 0x16efdf84, "kthread_cancel_delayed_work_sync" },
	{ 0x6573f300, "ida_free" },
	{ 0x857f84f1, "uart_remove_one_port" },
	{ 0xc80d3586, "regmap_update_bits_base" },
	{ 0xbd4c9c4b, "kthread_flush_worker" },
	{ 0x09459226, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4ad447aa, "gpiochip_remove" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc7aed9ca, "nbcon_device_try_acquire" },
	{ 0x643465b8, "nbcon_device_release" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "B2A3A65F1C3AB0F3F9FE156");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
