#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xce71b103, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xa6672925, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x6c0ea168, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xf7a9a65d, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x590cac66, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x6a13a980, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xcaed26b6, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x895f6c64, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x35858525, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x890587d1, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x593df0e3, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xa5cafe1a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdc557c02, "gro_cells_init" },
	{ 0x794ff644, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e95494c, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xd200a96f, "init_net" },
	{ 0x767d98af, "alloc_netdev_mqs" },
	{ 0x4d391eba, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xeddeebc7, "free_netdev" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xbb03af0b, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xab836107, "netdev_state_change" },
	{ 0xcb96e84c, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x37357bc9, "__pskb_pull_tail" },
	{ 0x0c10031a, "make_kuid" },
	{ 0xc0e0c540, "ip6_redirect" },
	{ 0x1977e7d1, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe3fe25a5, "ip6_route_output_flags" },
	{ 0xb5cc0b28, "xfrm_lookup" },
	{ 0xc15739fb, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x970c84a5, "skb_scrub_packet" },
	{ 0x669444c0, "skb_realloc_headroom" },
	{ 0x6ebdf742, "skb_set_owner_w" },
	{ 0xd877d6b7, "consume_skb" },
	{ 0x2759cf1f, "ipv6_push_frag_opts" },
	{ 0x3409b9ab, "skb_push" },
	{ 0xdc1e4d77, "ip6_local_out" },
	{ 0x6b21471f, "dst_cache_get" },
	{ 0x17e84f8a, "skb_copy_bits" },
	{ 0x57c6ac4f, "dst_cache_set_ip6" },
	{ 0xbc9feb02, "ipv6_dev_get_saddr" },
	{ 0x23424e2b, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbe87805b, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x48d30392, "ipv4_mtu" },
	{ 0x466b58f9, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5942cb5b, "sk_skb_reason_drop" },
	{ 0xea9c8b52, "iptunnel_handle_offloads" },
	{ 0x8173d5fe, "icmpv6_ndo_send" },
	{ 0xf1f4e4f5, "icmp_ndo_send" },
	{ 0x35f22d54, "skb_clone" },
	{ 0x31546d3f, "skb_pull" },
	{ 0xedee531f, "icmp6_send" },
	{ 0xb89b49b8, "ip_route_output_flow" },
	{ 0x43b8c055, "ip_route_input_noref" },
	{ 0x3f340e66, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x58d6eb0f, "gro_cells_receive" },
	{ 0x318066a7, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa7b22ab6, "__iptunnel_pull_header" },
	{ 0x9e6be1e8, "metadata_dst_alloc" },
	{ 0xc53015d8, "__xfrm_policy_check" },
	{ 0x02dfd873, "__skb_ext_del" },
	{ 0x8a2977c8, "dev_get_tstats64" },
	{ 0x63f61a4a, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x17181477, "ip6tun_encaps" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc623133c, "ipv6_chk_addr_and_flags" },
	{ 0x17b00176, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x1a945a0e, "register_pernet_device" },
	{ 0x57ae31a4, "xfrm6_tunnel_register" },
	{ 0x6da0ff64, "rtnl_link_register" },
	{ 0x97ddcd43, "xfrm6_tunnel_deregister" },
	{ 0xe0431c0e, "unregister_pernet_device" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd011243, "unregister_netdevice_queue" },
	{ 0xc632efff, "dev_addr_mod" },
	{ 0xd08ea965, "rt6_lookup" },
	{ 0x5b8a23be, "dst_release" },
	{ 0x13dcae2d, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xec9eb003, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "77E96F1E82FBA05ADA1E5AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
